Index: documented-examples/trunk/oai-e/resources/collectionConfig.properties
===================================================================
--- documented-examples/trunk/oai-e/resources/collectionConfig.properties	(revision 36368)
+++ documented-examples/trunk/oai-e/resources/collectionConfig.properties	(revision 36395)
@@ -11,27 +11,27 @@
 
 
-shortDescription=<p>This collection demonstrates Greenstone's <i>ImportFrom</i> feature. Using the <a href=http://www.openarchives.org>Open Archive Protocol</a> (version 1.1), it retrieves metadata from <a href=http://rocky.dlib.vt.edu/~jcdlpix>rocky.dlib.vt.edu/~jcdlpix</a>, a collection of photographs taken at the inaugural <a href=http://www.acm.org/jcdl/jcdl01/>Joint Conference on Digital Libraries</a>. A Greenstone collection is built from the records exported from this OAI data provider. The implementation is flexible enough to cope with the minor syntax differences between OAI 1.1 and OAI 2.0.</p>
+shortDescription=<p>This collection demonstrates Greenstone\'s <i>ImportFrom</i> feature. Using the <a href="http://www.openarchives.org">Open Archive Protocol</a> (version 1.1), it retrieves metadata from <a href="http://rocky.dlib.vt.edu/~jcdlpix">rocky.dlib.vt.edu/~jcdlpix</a>, a collection of photographs taken at the inaugural <a href="http://www.acm.org/jcdl/jcdl01/">Joint Conference on Digital Libraries</a>. A Greenstone collection is built from the records exported from this OAI data provider. The implementation is flexible enough to cope with the minor syntax differences between OAI 1.1 and OAI 2.0.</p>
 
-description1=<h3>How the collection works</h3><p>The <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">collection configuration file</a> includes an <i>acquire</i> line that is interpreted by a special program called <i>importfrom.pl</i>. Like other Greenstone programs, this takes as argument the name of the collection, and provides a summary of other arguments when invoked with argument <i>-help</i>. It reads the collection configuration file, finds the acquire line, and processes it. In this case, it is run with the command: <pre> importfrom.pl oai-e </pre> (the collection's name is <i>oai-e</i>).</p>
+description1=<h3>How the collection works</h3><p>The collection configuration file, <tt>collectionConfig.xml</tt>, includes an <i>acquire</i> line that is interpreted by a special program called <i>importfrom.pl</i>. Like other Greenstone programs, this takes as argument the name of the collection, and provides a summary of other arguments when invoked with argument <i>-help</i>. It reads the collection configuration file, finds the acquire line, and processes it. In this case, it is run with the command: <pre> importfrom.pl oai-e </pre> (the collection\'s name is <i>oai-e</i>).</p>
 
-description2=<p>The <i>acquire</i> line in the configuration file specifies the OAI protocol and gives the base URL of an OAI repository. The <i>importfrom</i> program downloads all the metadata in that repository into the collection's <i>import</i> directory. The <i>getdoc</i> argument instructs it to also download the collection's source documents, whose URLs are given in each document's Dublin Core <i>Identifier</i> field (this is a common convention). The metadata files, which each contain an XML record for one source document, are placed in the <i>import</i> file structure along with the documents themselves, and the document filename is the same as the filename in the URL. The <i>Identifier</i> field is overridden to give the local filename, and its original value is retained in a new field called <i>OrigURL</i>.</p>
+description2=<p>The <i>acquire</i> line in the configuration file specifies the OAI protocol and gives the base URL of an OAI repository. The <i>importfrom</i> program downloads all the metadata in that repository into the collection\'s <i>import</i> directory. The <i>getdoc</i> argument instructs it to also download the collection\'s source documents, whose URLs are given in each document\'s Dublin Core <i>Identifier</i> field (this is a common convention). The metadata files, which each contain an XML record for one source document, are placed in the <i>import</i> file structure along with the documents themselves, and the document filename is the same as the filename in the URL. The <i>Identifier</i> field is overridden to give the local filename, and its original value is retained in a new field called <i>OrigURL</i>.</p>
 
-description3=<p><a href="_httpcollection_/etc/oai.txt" target="oai.txt">Here</a> is an example of a downloaded metadata file.</p>
+description3=<p>The <tt>etc/oai.txt</tt> is an example of a downloaded metadata file.</p>
 
-description4=<p>Once the OAI information has been imported, the collection is processed in the usual way. Besides the four standard plugins (GreenstoneXMLPlugin, MetadataXMLPlugin, ArchivesInfPlugin and DirectoryPlugin), the configuration file specifies the OAI plugin, which processes OAI metadata, and the image plugin, because in this case the collection's source documents are image files. The OAI plugin has been supplied with an <i>input_encoding</i> argument because data in this archive contains extended characters. It also has a <i>default_language</i> argument. Greenstone normally determines the language of documents automatically, but these metadata records are too small for this to be done reliably: hence English is specified explicitly in the <i>language</i> argument. The OAI plugin parses the metadata and passes it to the appropriate source document file, which is then processed by an appropriate plugin -- in this case <i>ImagePlugin</i>. This plugin specifies the resolution for the screen versions of the images.</p>
+description4=<p>Once the OAI information has been imported, the collection is processed in the usual way. Besides the four standard plugins (GreenstoneXMLPlugin, MetadataXMLPlugin, ArchivesInfPlugin and DirectoryPlugin), the configuration file specifies the OAI plugin, which processes OAI metadata, and the image plugin, because in this case the collection\'s source documents are image files. The OAI plugin has been supplied with an <i>input_encoding</i> argument because data in this archive contains extended characters. It also has a <i>default_language</i> argument. Greenstone normally determines the language of documents automatically, but these metadata records are too small for this to be done reliably: hence English is specified explicitly in the <i>language</i> argument. The OAI plugin parses the metadata and passes it to the appropriate source document file, which is then processed by an appropriate plugin -- in this case <i>ImagePlugin</i>. This plugin specifies the resolution for the screen versions of the images.</p>
 
 description5=<p>Extracted metadata from OAI records are mapped to Dublin Core Metadata Set by default. As a result, classifiers and indexes in this collection are built with Dublin meatadata elements.</p>
 
-description6=<p>The <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">collection configuration file</a> has a single full-text index containing <i>dc.Description</i> metadata. When a document is displayed, the <i>DocumentHeading</i> format statement puts out its <i>dc.Subject</i>. Then the <i>DocumentText</i> statement follows this with <i>screenicon</i>, which is produced by <i>ImagePlugin</i> and gives a screen-resolution version of the image; it is hyperlinked to the <i>dc.OrigURL</i> metadata -- that is, the original version of the image on the remote OAI site. This is followed by the image's <i>dc.Description</i>, also with a hyperlink; the image's size and type, again generated as metadata by <i>ImagePlugin</i>; and then <i>dc.Subject</i>, <i>dc.Publisher</i>, and <i>dc.Rights</i> metadata. <a href=?a=d&cl=search&d=_sampleoid_>This</a> is the result.</p>
+description6=<p>The collection configuration file, <tt>collectionConfig.xml</tt>, specifies a single full-text index containing <i>dc.Description</i> metadata and overrides Greenstone\'s custom <i>gsf</i> format templates <tt>DocumentHeading</tt> and <tt>DocumentContent</tt> (XSL). When a document is displayed, the <i>DocumentHeading</i> format statement puts out its <i>dc.Subject</i>. Then the <i>DocumentContent</i> statement follows this with <i>screenicon</i>, which is produced by <i>ImagePlugin</i> and gives a screen-resolution version of the image; it can be hyperlinked to the <i>dc.OrigURL</i> metadata -- that is, the original version of the image on the remote OAI site. Since this is no longer available on the web, it is now hyperlinked to the full version of the image file. This is followed by the image\'s <i>dc.Description</i>, also with a hyperlink; the image\'s size and type, again generated as metadata by <i>ImagePlugin</i>; and then <i>dc.Subject</i>, <i>dc.Publisher</i>, and <i>dc.Rights</i> metadata. <a href="_sampleoid_">This</a> is the result.</p>
 
-description7=<p>There are two browsing classifiers, one based on <i>dc.Subject</i> metadata and the other on <i>dc.Description</i> metadata (but with a button named "captions"). Recall that the <i>AZCompactList</i> classifier is like <i>AZList</i> but generates a bookshelf for duplicate items. In this collection there are a lot of images but only a few different values for <i>dc.Subject</i> metadata.</p>
+description7=<p>There are two browsing classifiers, one based on <i>dc.Subject</i> metadata and the other on <i>dc.Description</i> metadata (but with a button named &quot;captions&quot;). Recall that the <i>AZCompactList</i> classifier is like <i>AZList</i> but generates a bookshelf for duplicate items. In this collection there are a lot of images but only a few different values for <i>dc.Subject</i> metadata.</p>
 
-description8=<p>It's a little surprising that <i>AZCompactList</i> is used (instead of <i>AZList</i>) for the <i>dc.Description</i> index too, because <i>dc.Description</i> metadata is usually unique for each image. However, in this collection the same description has occasionally been given to several images, and some of the divisions in an <i>AZList</i> would contain a large number of images, slowing down transmission of that page. To avoid this, the compact version of the list is used with some arguments (<i>mincompact</i>, <i>maxcompact</i>, <i>mingroup</i>, <i>minnesting</i>) to control the display -- e.g. groups (represented by bookshelves) are not formed unless they have at least 5 (<i>mingroup</i>) items. To find out the meaning of the other arguments for this classifier, execute the command <i>classinfo.pl AZCompactList</i>. The programs <i>classinfo.pl</i> (for classifiers) and <i>pluginfo.pl</i> (for plugins) are useful tools for learning about the capabilities of Greenstone modules. Note incidentally the backslash in the configuration file, used to indicate a continuation of the previous line.</p>
+description8=<p>It\'s a little surprising that <i>AZCompactList</i> is used (instead of <i>AZList</i>) for the <i>dc.Description</i> index too, because <i>dc.Description</i> metadata is usually unique for each image. However, in this collection the same description has occasionally been given to several images, and some of the divisions in an <i>AZList</i> would contain a large number of images, slowing down transmission of that page. To avoid this, the compact version of the list is used with some arguments (<i>mincompact</i>, <i>maxcompact</i>, <i>mingroup</i>, <i>minnesting</i>) to control the display -- e.g. groups (represented by bookshelves) are not formed unless they have at least 5 (<i>mingroup</i>) items. To find out the meaning of the other arguments for this classifier, execute the command <i>classinfo.pl AZCompactList</i>. The programs <i>classinfo.pl</i> (for classifiers) and <i>pluginfo.pl</i> (for plugins) are useful tools for learning about the capabilities of Greenstone modules. Note incidentally the backslash in the configuration file, used to indicate a continuation of the previous line.</p>
 
-description9=<p>The <i>VList</i> format specification shows the image thumbnail, hyperlinked to the associated document, followed by <i>dc.Description</i> metadata; the result can be seen <a href="?a=d&cl=CL2">here</a>. The <i>Vlists</i> for the classifiers use <i>numleafdocs</i> to switch between an icon representing several documents (which will appear as a bookshelf) and the thumbnail itself, if there is only one image.  <h3>The Greenstone OAI server</h3></p>
+description9=<p>The <i>VList</i> format specification shows the image thumbnail, hyperlinked to the associated document, followed by <i>dc.Description</i> metadata; the result can be seen in the <tt>CL2</tt> classifier browser. The <i>Vlists</i> for the classifiers use <i>numleafdocs</i> to switch between an icon representing several documents (which will appear as a bookshelf) and the thumbnail itself, if there is only one image.</p>
 
-description10=<p>Greenstone comes with a built-in OAI data provider. This runs as a CGI program called "oaiserver.cgi", and is installed in the Greenstone <i>cgi-bin</i> directory. It can be accessed via the same URL as the Greenstone library (replacing "library.cgi" with "oaiserver.cgi"). If you are using the Windows local library server, you must install a web server (such as Apache) to run the OAI server.</p>
+description10=<h3>The Greenstone OAI server</h3><p>Greenstone comes with a built-in OAI data provider. This runs as a CGI program called &quot;oaiserver.cgi&quot;, and is installed in the Greenstone <i>cgi-bin</i> directory. It can be accessed via the same URL as the Greenstone library (replacing &quot;library.cgi&quot; with &quot;oaiserver.cgi&quot;). If you are using the Windows local library server, you must install a web server (such as Apache) to run the OAI server.</p>
 
-description11=<p>Configuration of the server is done via the <i>oai.cfg</i> file in the Greenstone <i>etc</i> directory. This file specifies general information about the repository, and lists collections to be made accessible to OAI clients. By default, collections are not accessible. To enable a collection, add its name to the <i>oaicollection</i> list. Collections built with versions of Greenstone earlier than 2.52 must be rebuilt before they can be served.</p>
+description11=<p>Configuration of the server is done via the <i>oai.cfg</i> file in the Greenstone <i>etc</i> directory. This file specifies general information about the repository, and lists collections to be made accessible to OAI clients. By default, collections are not accessible. To enable a collection, add its name to the <i>oaicollection</i> list.</p>
 
-description12=<p>Greenstone's OAI server currently supports Dublin Core, qualified Dublin Core and rfc1807 metadata sets. The <i>oaimetadata</i> line specifies which sets should be used. For collections that use other metadata sets, metadata mapping rules should be provided to map the existing metadata to the sets in use. See the <i>oai.cfg</i> file for details.</p>
+description12=<p>Greenstone\'s OAI server currently supports Dublin Core, qualified Dublin Core and rfc1807 metadata sets. The <i>oaimetadata</i> line specifies which sets should be used. For collections that use other metadata sets, metadata mapping rules should be provided to map the existing metadata to the sets in use. See the <i>oai.cfg</i> file for details.</p>
Index: documented-examples/trunk/oai-e/resources/collectionConfig_es.properties
===================================================================
--- documented-examples/trunk/oai-e/resources/collectionConfig_es.properties	(revision 36368)
+++ documented-examples/trunk/oai-e/resources/collectionConfig_es.properties	(revision 36395)
@@ -27,7 +27,7 @@
 description8=<p>Resulta un tanto sorprendente que el clasificador <i>AZCompactList</i> tambiÃ©n se utilice (en vez de <i>AZList</i>) para el Ã­ndice de <i>dc.DescripciÃ³n</i>, ya que por lo general el metadato <i>dc.DescripciÃ³n</i> es exclusivo para cada imagen. Sin embargo, en esta colecciÃ³n la misma descripciÃ³n se emplea en ocasiones para varias imÃ¡genes, por lo que algunas de las divisiones en una <i>AZList</i> contendrÃ­an un gran nÃºmero de imÃ¡genes, haciendo que la transmisiÃ³n de esa pÃ¡gina fuera mÃ¡s lenta. Para evitarlo se utiliza la versiÃ³n compacta de la lista con algunos argumentos (<i>mincompact, maxcompact, mingroup, minnesting</i>) para controlar la presentaciÃ³n en pantalla. Por ejemplo, los grupos (representados por estantes) no se forman a menos que tengan al menos 5 (<i>mingroup</i>) Ã­tems. A fin de conocer el significado de los otros argumentos para este clasificador ejecute el comando <i>classinfo.pl AZCompactList</i>. Los programas <i>classinfo.pl</i> (para los clasificadores) y <i>pluginfo.pl</i> (para los plugins) son herramientas sumamente Ãºtiles para conocer las funciones de los mÃ³dulos Greenstone. FÃ­jese ademÃ¡s en la barra de directorios en el archivo de configuraciÃ³n, usada para indicar la continuaciÃ³n de la lÃ­nea anterior.</p>
 
-description9=<p>La especificaciÃ³n de formato VList muestra la miniatura de la imagen con hipervÃ­nculos al documento asociado, seguida por el metadato <i>dc.Description</i>. El resultado se puede ver <a href="?a=d&cl=CL2">aquÃ­</a>. Las <i>Vlists</i> para los clasificadores utilizan <i>numleafdocs</i> para cambiar entre un icono que representa varios documentos (el cual aparecerÃ¡ como un estante) y la miniatura, si sÃ³lo hay una imagen.  <h3>El servidor OAI de Greenstone</h3></p>
+description9=<p>La especificaciÃ³n de formato VList muestra la miniatura de la imagen con hipervÃ­nculos al documento asociado, seguida por el metadato <i>dc.Description</i>. El resultado se puede ver <a href="?a=d&cl=CL2">aquÃ­</a>. Las <i>Vlists</i> para los clasificadores utilizan <i>numleafdocs</i> para cambiar entre un icono que representa varios documentos (el cual aparecerÃ¡ como un estante) y la miniatura, si sÃ³lo hay una imagen.</p>
 
-description10=<p>Greenstone incorpora un servidor/proveedor de datos OAI. Se ejecuta mediante un programa CGI llamado "oaiserver.cgi", y se encuentra en el directorio <i>cgi-bin</i> de Greenstone. Se accede a Ã©l utilizando el mismo URL que para la biblioteca Greentone (reemplazando "library.cgi" por "oaiserver.cgi"). Si usted estÃ¡ usando el servidor de biblioteca local, debe instalar un servidor web (como Apache) para poder ejecutar el servidor OAI.</p>
+description10=<h3>El servidor OAI de Greenstone</h3><p>Greenstone incorpora un servidor/proveedor de datos OAI. Se ejecuta mediante un programa CGI llamado "oaiserver.cgi", y se encuentra en el directorio <i>cgi-bin</i> de Greenstone. Se accede a Ã©l utilizando el mismo URL que para la biblioteca Greentone (reemplazando "library.cgi" por "oaiserver.cgi"). Si usted estÃ¡ usando el servidor de biblioteca local, debe instalar un servidor web (como Apache) para poder ejecutar el servidor OAI.</p>
 
 description11=<p>La configuraciÃ³n del servidor se hace mediante el archivo <i>oai.cfg</i> que se encuentra en el directorio <i>etc</i> de Greenstone. Este fichero especifica la informaciÃ³n general sobre el repositorio, e incluye un listado de las colecciones accesibles para los clientes OAI. En principio, las coleccciones no son accesibles. Para permitir el acceso a una colecciÃ³n, aÃ±ada su nombre a la lista <i>oaicollection</i>. Las colecciones construidas con versiones de Greenstone anteriores a la 2.52 deben ser reconstruidas antes de que puedan ser accesibles.</p>
Index: documented-examples/trunk/oai-e/resources/collectionConfig_fr.properties
===================================================================
--- documented-examples/trunk/oai-e/resources/collectionConfig_fr.properties	(revision 36368)
+++ documented-examples/trunk/oai-e/resources/collectionConfig_fr.properties	(revision 36395)
@@ -27,7 +27,7 @@
 description8=<p>C'est un peu surprenant que <i>AZCompactList</i> soit utilisÃ© (au lieu de <i>AZList</i>) pour l'index <i>dc.Description</i> aussi, car la mÃ©ta-donnÃ©e <i>dc.Description</i> est usuellement unique pour chaque image. Cependant, dans cette collection, la mÃªme description a Ã©tÃ© occasionnellement donnÃ©e Ã  plusieurs images, et certaines des divisions dans <i>AZList</i> contiendraient un grand nombre d'images, ralentissant la transmission de cette page. Pour Ã©viter cela, la version compact de la liste est utilisÃ©e avec quelques arguments (<i>mincompact</i>, <i>maxcompact</i>, <i>mingroup</i>, <i>minnesting</i>) pour contrÃŽler l'affichage ' c'est Ã  dire des groupes (reprÃ©sentÃ©s par les rayons de bibliothÃšque) ne sont formÃ©s qu'Ã  condition qu'il aient au moins cinq Ã©lÃ©ments (<i>mingroup</i>). Pour trouver la signification des autres arguments pour ce classificateur, il faut exÃ©cuter la commande <i>classinfo.pl AZCompactList</i>. Les programmes <i>classinfo.pl</i> (pour classificateurs) et <i>pluginfo.pl</i> (pour plugins) sont des outils prÃ©cieux pour connaÃ®tre les capacitÃ©s des modules de Greenstone. Il faut noter que le "backslash" (\\\\) dans le fichier de configuration est gÃ©nÃ©ralement utilisÃ© pour indiquer une continuation de la ligne prÃ©cÃ©dente.</p>
 
-description9=<p>La spÃ©cification du format <i>Vlist</i> montre l'onglet de l'image, liÃ© (hyperlien) au document associÃ©, suivi de la mÃ©ta-donnÃ©e <i>dc.Description</i>; le rÃ©sultat peut Ãªtre vu <a href="?a=d&cl=CL2">ici</a>. <i>Vlist</i> pour les classificateurs utilise <i>numleafdocs</i> pour commuter d'une icÃŽne reprÃ©sentant plusieurs documents (ce qui apparaÃ®tra dans le rayon de livres) Ã  l'onglet lui-mÃªme, si une seule image est prÃ©sente.  <h3>Le serveur OAI de Greenstone</h3></p>
+description9=<p>La spÃ©cification du format <i>Vlist</i> montre l'onglet de l'image, liÃ© (hyperlien) au document associÃ©, suivi de la mÃ©ta-donnÃ©e <i>dc.Description</i>; le rÃ©sultat peut Ãªtre vu <a href="?a=d&cl=CL2">ici</a>. <i>Vlist</i> pour les classificateurs utilise <i>numleafdocs</i> pour commuter d'une icÃŽne reprÃ©sentant plusieurs documents (ce qui apparaÃ®tra dans le rayon de livres) Ã  l'onglet lui-mÃªme, si une seule image est prÃ©sente.</p>
 
-description10=<p>Greenstone inclus un fournisseur de donnÃ© de type OAI. Il fonctionne par le biais d'un programme CGI nommÃ© "oaiserver.cgi" lequel se trouve dans le fichier <i>cgi-bin</i> de Greenstone. On peut y accÃ©der au moyen de la mÃªme URL que la librairie de Greenstone (en remplacant "library.cgi" par "oaiserver.cgi"). Si vous utilisez le serveur local de librairie de windows, vous devez installer un serveur internet (tel qu'Apache) pour pouvoir utiliser ce serveur OAI.</p>
+description10=<h3>Le serveur OAI de Greenstone</h3><p>Greenstone inclus un fournisseur de donnÃ© de type OAI. Il fonctionne par le biais d'un programme CGI nommÃ© "oaiserver.cgi" lequel se trouve dans le fichier <i>cgi-bin</i> de Greenstone. On peut y accÃ©der au moyen de la mÃªme URL que la librairie de Greenstone (en remplacant "library.cgi" par "oaiserver.cgi"). Si vous utilisez le serveur local de librairie de windows, vous devez installer un serveur internet (tel qu'Apache) pour pouvoir utiliser ce serveur OAI.</p>
 
 description11=<p>La configuration du serveur est rÃ©alisÃ©e au moyen du fichier <i>oai.cfg</i> se trouvant dans le dossier <i>etc</i> de Greenstone. Ce fichier spÃ©cifie des informations gÃ©nÃ©rales sur le dossier et fait la liste des collections Ã  rendre accessibles aux clients OAI. Par dÃ©faut, les collections ne sont pas accÃ©ssibles. Afin de rendre une collection accessible, ajoutez son nom Ã  la liste <i>oaicollection</i>. Les collections construites avec des version de Greenstone antÃ©rieures Ã  la version 2.52 doivent Ãªtre recompilÃ©e avant de pouvoir Ãªtre utilisÃ©e par le serveur.</p>
Index: documented-examples/trunk/oai-e/resources/collectionConfig_ru.properties
===================================================================
--- documented-examples/trunk/oai-e/resources/collectionConfig_ru.properties	(revision 36368)
+++ documented-examples/trunk/oai-e/resources/collectionConfig_ru.properties	(revision 36395)
@@ -54,7 +54,7 @@
 
 description9=<p>ÐÐ¿ÑÐµÐŽÐµÐ»ÐµÐœÐžÐµ ÑÐŸÑÐŒÐ°ÑÐ° <i>VList</i> Ð¿ÐŸÐºÐ°Ð·ÑÐ²Ð°ÐµÑ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ, ÐžÐŒÐµÑÑÐµÐµ Ð³ÐžÐ¿ÐµÑÑÐ²ÑÐ·Ñ Ñ ÐžÑÑ
-ÐŸÐŽÐœÑÐŒ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐŒ, Ð² ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÐžÐž Ñ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>ÐÐ¿ÐžÑÐ°ÐœÐžÑ</i>; ÑÐµÐ·ÑÐ»ÑÑÐ°Ñ ÑÐµÐ³ÐŸ ÐŒÐŸÐ¶ÐœÐŸ Ð²ÐžÐŽÐµÑÑ <a href="?a=d&cl=CL2">Ð·ÐŽÐµÑÑ</a>. <i>Vlists</i> ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐŸÐ² ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ <i>numleafdocs</i> ÐŽÐ»Ñ Ð¿ÐµÑÐµÐºÐ»ÑÑÐµÐœÐžÑ ÐŒÐµÐ¶ÐŽÑ ÐžÐºÐŸÐœÐºÐ°ÐŒÐž, Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑÑÐžÐŒÐž ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² (ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÑÐ²ÐžÑÑÑ Ð² Ð²ÐžÐŽÐµ ÐºÐœÐžÐ¶ÐœÐŸÐ¹ Ð¿ÐŸÐ»ÐºÐž), Ðž ÐœÐµÐ¿ÐŸÑÑÐµÐŽÑÑÐ²ÐµÐœÐœÐŸ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ, ÐµÑÐ»Ðž ÐŸÐœÐŸ ÑÐŸÐ»ÑÐºÐŸ ÐŸÐŽÐœÐŸ.  <h3>Greenstone OAI ÑÐµÑÐ²ÐµÑ</h3></p>
+ÐŸÐŽÐœÑÐŒ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐŒ, Ð² ÑÐŸÐŸÑÐ²ÐµÑÑÑÐ²ÐžÐž Ñ ÐŒÐµÑÐ°ÐŽÐ°ÐœÐœÑÐŒÐž <i>ÐÐ¿ÐžÑÐ°ÐœÐžÑ</i>; ÑÐµÐ·ÑÐ»ÑÑÐ°Ñ ÑÐµÐ³ÐŸ ÐŒÐŸÐ¶ÐœÐŸ Ð²ÐžÐŽÐµÑÑ <a href="?a=d&cl=CL2">Ð·ÐŽÐµÑÑ</a>. <i>Vlists</i> ÐŽÐ»Ñ ÐºÐ»Ð°ÑÑÐžÑÐžÐºÐ°ÑÐŸÑÐŸÐ² ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑ <i>numleafdocs</i> ÐŽÐ»Ñ Ð¿ÐµÑÐµÐºÐ»ÑÑÐµÐœÐžÑ ÐŒÐµÐ¶ÐŽÑ ÐžÐºÐŸÐœÐºÐ°ÐŒÐž, Ð¿ÑÐµÐŽÑÑÐ°Ð²Ð»ÑÑÑÐžÐŒÐž ÐœÐµÑÐºÐŸÐ»ÑÐºÐŸ ÐŽÐŸÐºÑÐŒÐµÐœÑÐŸÐ² (ÐºÐŸÑÐŸÑÑÐ¹ Ð¿ÐŸÑÐ²ÐžÑÑÑ Ð² Ð²ÐžÐŽÐµ ÐºÐœÐžÐ¶ÐœÐŸÐ¹ Ð¿ÐŸÐ»ÐºÐž), Ðž ÐœÐµÐ¿ÐŸÑÑÐµÐŽÑÑÐ²ÐµÐœÐœÐŸ ÑÐŒÐµÐœÑÑÐµÐœÐœÐŸÐµ ÐžÐ·ÐŸÐ±ÑÐ°Ð¶ÐµÐœÐžÐµ, ÐµÑÐ»Ðž ÐŸÐœÐŸ ÑÐŸÐ»ÑÐºÐŸ ÐŸÐŽÐœÐŸ.</p>
 
-description10=<p>Greenstone ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ Ð²ÑÑÑÐŸÐµÐœÐœÑÐŒ OAI Ð¿ÐŸÑÑÐ°Ð²ÑÐžÐºÐŸÐŒ ÐŽÐ°ÐœÐœÑÑ
+description10=<h3>Greenstone OAI ÑÐµÑÐ²ÐµÑ</h3><p>Greenstone ÐŸÑÐ»ÐžÑÐ°ÐµÑÑÑ Ð²ÑÑÑÐŸÐµÐœÐœÑÐŒ OAI Ð¿ÐŸÑÑÐ°Ð²ÑÐžÐºÐŸÐŒ ÐŽÐ°ÐœÐœÑÑ
 . Ð­ÑÐŸ Ð·Ð°Ð¿ÑÑÐºÐ°ÐµÑÑÑ ÐºÐ°Ðº CGI Ð¿ÑÐŸÐ³ÑÐ°ÐŒÐŒÐ°, ÐœÐ°Ð·ÑÐ²Ð°ÐµÐŒÐ°Ñ "oaiserver.cgi", Ðž ÑÑÑÐ°ÐœÐŸÐ²Ð»ÐµÐœÐ° Ð² <i>cgi-bin</i> ÐŽÐžÑÐµÐºÑÐŸÑÐžÐž Greenstone. Ð ÑÑÐŸÐŒÑ ÐŒÐŸÐ¶ÐœÐŸ ÐŸÐ±ÑÐ°ÑÐžÑÑÑÑ ÑÐµÑÐµÐ· ÑÐŸ Ð¶Ðµ ÑÐ°ÐŒÑÐ¹ URL ÐºÐ°Ðº Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐ° Greenstone (Ð·Ð°ÐŒÐµÐœÑÑÑÐžÐ¹ "library.cgi" Ñ "oaiserver.cgi"). ÐÑÐ»Ðž ÐÑ ÐžÑÐ¿ÐŸÐ»ÑÐ·ÑÐµÑÐµ Windows Ð»ÐŸÐºÐ°Ð»ÑÐœÑÐ¹ ÑÐµÑÐ²ÐµÑ Ð±ÐžÐ±Ð»ÐžÐŸÑÐµÐºÐž, ÐÑ ÐŽÐŸÐ»Ð¶ÐœÑ ÑÑÑÐ°ÐœÐŸÐ²ÐžÑÑ web ÑÐµÑÐ²ÐµÑ (ÑÐ°ÐºÐŸÐ¹ ÐºÐ°Ðº Apache), ÑÑÐŸÐ±Ñ ÑÐ¿ÑÐ°Ð²Ð»ÑÑÑ OAI ÑÐµÑÐ²ÐµÑÐŸÐŒ.</p>
 
Index: documented-examples/trunk/oai-e/resources/collectionConfig_zh.properties
===================================================================
--- documented-examples/trunk/oai-e/resources/collectionConfig_zh.properties	(revision 36368)
+++ documented-examples/trunk/oai-e/resources/collectionConfig_zh.properties	(revision 36395)
@@ -84,7 +84,7 @@
 
 description8=<p><i>VList</i>æ ŒåŒæå®æŸç€ºåŸçççŒ©ç¥åŸïŒå¹¶éŸæ¥å°äžä¹å¯¹åºçææ¡£äžïŒæ¥çæŸç€º<i>dc.Description</i>å
-æ°æ®ïŒåŠ <a href="?a=d&cl=CL2">è¿é</a>æç€ºãåç±»åšç<i>Vlists</i>äœ¿çš<i>numleafdocs</i>æ¥åšè¡šç€ºå€äžª ææ¡£çåŸæ ïŒå³ä¹Šæ¶åŸæ ïŒäžçŒ©ç¥åŸä¹éŽçåæ¢ïŒåœåªæäžäžªåŸçæ¶å°æŸç€ºçŒ©ç¥åŸã  <h3>Greenstone OAIæå¡åš</h3></p>
+æ°æ®ïŒåŠ <a href="?a=d&cl=CL2">è¿é</a>æç€ºãåç±»åšç<i>Vlists</i>äœ¿çš<i>numleafdocs</i>æ¥åšè¡šç€ºå€äžª ææ¡£çåŸæ ïŒå³ä¹Šæ¶åŸæ ïŒäžçŒ©ç¥åŸä¹éŽçåæ¢ïŒåœåªæäžäžªåŸçæ¶å°æŸç€ºçŒ©ç¥åŸã</p>
 
-description9=<p>Greenstoneæäžäžªå
+description9=<h3>Greenstone OAIæå¡åš</h3><p>Greenstoneæäžäžªå
 çœ®çOAIæ°æ®æäŸè
 ãè¿æ¯ç±äžäžªç§°äžº"oaiserver.cgi"çCGIçšåºè¿è¡ïŒå¹¶å®è£