Index: documented-examples/trunk/wiki-e/resources/collectionConfig.properties
===================================================================
--- documented-examples/trunk/wiki-e/resources/collectionConfig.properties	(revision 36368)
+++ documented-examples/trunk/wiki-e/resources/collectionConfig.properties	(revision 36398)
@@ -5,12 +5,12 @@
 
 
-shortDescription=<p>This demonstration collection is made from the Greenstone Wiki website. It shows off the new feature of building a Greenstone collection from a MediaWiki website in Greestone.</p>
+shortDescription=<p>This demonstration collection is made from the Greenstone Wiki website. It shows off the new feature of building a Greenstone collection from a MediaWiki website in Greenstone.</p>
 
-description1=<h3>How the collection works</h3><p>The <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">collection configuration file</a> contains the plugins <i>MediaWikiPlugin</i>, <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i>, <i>WordPlugin</i> (along with the standard plugins <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> and <i>DirectoryPlugin</i>). The <i>MediaWikiPlugin</i> handles the HTML pages downloaded from a MediaWiki website, while <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> and <i>WordPlugin</i> handle the image, zip, PDF, PowerPoint and Word files associated with the Greenstone Wiki.</p>
+description1=<h3>How the collection works</h3><p>The collection configuration file, <tt>collectionConfig.xml</tt>, contains the plugins <i>MediaWikiPlugin</i>, <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i>, <i>WordPlugin</i> (along with the standard plugins <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> and <i>DirectoryPlugin</i>). The <i>MediaWikiPlugin</i> handles the HTML pages downloaded from a MediaWiki website, while <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> and <i>WordPlugin</i> handle the image, zip, PDF, PowerPoint and Word files associated with the Greenstone Wiki.</p>
 
-description2=<p>To build a collection from a MediaWiki website, first download the wiki files using the <i>MediaWiki</i> option on the <i>Download</i> panel of GLI. This download type works in a similar way to a the <i>Web</i> download, but is specially designed for crawling MediaWiki websites.</p>
+description2=<p>To build a collection from a MediaWiki website of your choice, you would first download the wiki files using the <i>MediaWiki</i> option on the <i>Download</i> panel of GLI. This download type works in a similar way to a the <i>Web</i> download, but is specially designed for crawling MediaWiki websites.</p>
 
 description3=<p>Once the files are downloaded, copy them into a collection using the <i>Gather</i>, dragging them from the <i>Downloaded Files</i> folder in the Workspace tree on the left-hand side.</p>
 
-description4=<p>In the <i>Document Plugins</i> section of the <i>Design</i> panel, add <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> has several specific options which control aspects of page presentation, such as whether or not the table of contents, navigation toolbars and search box are shown on each page. Configure these options based on how you want the pages to appear. You can see the options used by this collection in its <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">collection configuration file</a>.</p>
+description4=<p>In the <i>Document Plugins</i> section of the <i>Design</i> panel, add <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> has several specific options which control aspects of page presentation, such as whether or not the table of contents, navigation toolbars and search box are shown on each page. Configure these options based on how you want the pages to appear. You can see the options used by this collection in its collection configuration file, <tt>collectionConfig.xml</tt>.</p>
 
Index: documented-examples/trunk/wiki-e/resources/collectionConfig_es.properties
===================================================================
--- documented-examples/trunk/wiki-e/resources/collectionConfig_es.properties	(revision 36368)
+++ documented-examples/trunk/wiki-e/resources/collectionConfig_es.properties	(revision 36398)
@@ -3,5 +3,5 @@
 shortDescription=<p>Esta colecciÃ³n de demostraciÃ³n estÃ¡ hecha en base al sitio Wiki de Greenstone. Muestra la nueva caracterÃ­stica que permite la construcciÃ³n de una colecciÃ³n de Greenstone desde el sitio MediaWiki de Greenstone.</p>
 
-description1=<h3>CÃ³mo funciona la colecciÃ³n</h3><p>El <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">archivo de configuraciÃ³n de la colecciÃ³n</a> contiene los plugins <i>MediaWikiPlugin</i>, <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i>, <i>WordPlugin</i> (junto a los plugins estÃ¡ndar <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> y <i>DirectoryPlugin</i>). El <i>MediaWikiPlugin</i> manipula pÃ¡ginas HTML descargadas desde el sitio MediaWiki, mientras que <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> y <i>WordPlugin</i> manejan los archivos de imÃ¡genes, los zip, PDF, PowerPoint y Word asociados con la Wiki de Greenstone.</p>
+description1=<h3>CÃ³mo funciona la colecciÃ³n</h3><p>El archivo de configuraciÃ³n de la colecciÃ³n, <tt>collectionConfig.xml</tt>, contiene los plugins <i>MediaWikiPlugin</i>, <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i>, <i>WordPlugin</i> (junto a los plugins estÃ¡ndar <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> y <i>DirectoryPlugin</i>). El <i>MediaWikiPlugin</i> manipula pÃ¡ginas HTML descargadas desde el sitio MediaWiki, mientras que <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> y <i>WordPlugin</i> manejan los archivos de imÃ¡genes, los zip, PDF, PowerPoint y Word asociados con la Wiki de Greenstone.</p>
 
 description2=<p>Para construir una colecciÃ³n desde el sitio MediaWiki, primero descargue los archivos del wiki usando la opciÃ³n <i>MediaWiki</i> en el panel <i>Descarga</i> del GLI. Este tipo de descarga funciona de manera similar a la descarga <i>Web</i>, pero estÃ¡ diseÃ±ado especÃ­ficamente para descargar sitios MediaWiki.</p>
@@ -9,3 +9,3 @@
 description3=<p>Una vez que los archivos fueron descargados, copielos en la colecciÃ³n usando el panel <i>Reunir</i>, arrastrÃ¡ndolos desde la carpeta <i>Archivos descargados</i> en el Ã¡rbol izquierdo del espacio de trabajo del GLI.</p>
 
-description4=<p>En la secciÃ³n <i>Plugins del documento</i> del panel <i>DiseÃ±o</i>, agregue <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> tiene varias opciones especÃ­ficas que controlan los aspectos de presentaciÃ³n de la pÃ¡gina, tales como si se deben mostrar o no la tabla de contenidos, las barras de navegaciÃ³n y el recuadro de bÃºsqueda en cada pÃ¡gina. Configure estas opciones basÃ¡ndose en cÃ³mo quiere que aparezcan esas pÃ¡ginas. Puede ver las opciones usadas por esta colecciÃ³n en su <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">archivo de configuraciÃ³n de la colecciÃ³n</a>.</p>
+description4=<p>En la secciÃ³n <i>Plugins del documento</i> del panel <i>DiseÃ±o</i>, agregue <i>MediaWikiPlugin</i>. <i>MediaWikiPlugin</i> tiene varias opciones especÃ­ficas que controlan los aspectos de presentaciÃ³n de la pÃ¡gina, tales como si se deben mostrar o no la tabla de contenidos, las barras de navegaciÃ³n y el recuadro de bÃºsqueda en cada pÃ¡gina. Configure estas opciones basÃ¡ndose en cÃ³mo quiere que aparezcan esas pÃ¡ginas. Puede ver las opciones usadas por esta colecciÃ³n en su archivo de configuraciÃ³n de la colecciÃ³n.</p>
Index: documented-examples/trunk/wiki-e/resources/collectionConfig_fr.properties
===================================================================
--- documented-examples/trunk/wiki-e/resources/collectionConfig_fr.properties	(revision 36368)
+++ documented-examples/trunk/wiki-e/resources/collectionConfig_fr.properties	(revision 36398)
@@ -3,5 +3,5 @@
 shortDescription=<p>Cette collection de dÃ©monstration est constituÃ©e Ã  partir du site web du wiki Greenstone. Elle montre la nouvelle possibilitÃ© de crÃ©er une collection Greenstone Ã  partir d'un site web MediaWiki.</p>
 
-description1=<p><h3>Comment fonctionne la collection</h3>Le <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">fichier de configuration de la collection</a> contient les plugiciels <i>MediaWikiPlugin</i>, <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i>, <i>WordPlugin</i> (de mÃªme que les plugiciels standards <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> et <i>DirectoryPlugin</i>). Le plugiciel <i>MediaWikiPlugin</i> traite les pages HTML tÃ©lÃ©chargÃ©es Ã  partir d'un site MediaWiki, tandis que les plugiciels <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> et <i>WordPlugin</i> traitent les images, et les fichiers ZIP, PDF, PowerPoint et Word associÃ©s au Wiki Greenstone.</p>
+description1=<p><h3>Comment fonctionne la collection</h3>Le fichier de configuration de la collection, , <tt>collectionConfig.xml</tt>, contient les plugiciels <i>MediaWikiPlugin</i>, <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i>, <i>WordPlugin</i> (de mÃªme que les plugiciels standards <i>GreenstoneXMLPlugin</i>, <i>ArchivesInfPlugin</i> et <i>DirectoryPlugin</i>). Le plugiciel <i>MediaWikiPlugin</i> traite les pages HTML tÃ©lÃ©chargÃ©es Ã  partir d'un site MediaWiki, tandis que les plugiciels <i>ImagePlugin</i>, <i>ZipPlugin</i>, <i>PDFPlugin</i>, <i>PowerPointPlugin</i> et <i>WordPlugin</i> traitent les images, et les fichiers ZIP, PDF, PowerPoint et Word associÃ©s au Wiki Greenstone.</p>
 
 description2=<p>Pour construire une collection Ã  partir d'un site MediaWiki, il faut d'abord tÃ©lÃ©charger les fichiers du wiki en utilisant l'option <i>MediaWiki</i> du panneau <i>TÃ©lÃ©charger</i> du GLI. Ce type de tÃ©lÃ©chargement fonctionne d'une faÃ§on similaire au tÃ©lÃ©chargement <i>Web</i>, mais il est spÃ©cialement conÃ§u pour parcourir les sites MediaWiki.</p>
@@ -9,3 +9,3 @@
 description3=<p>Une fois que les fichiers sont tÃ©lÃ©chargÃ©s, il faut les copier dans une collection en utilisant l'onglet <i>Rassembler</i>, en les faisant glisser du dossier <i>Fichiers tÃ©lÃ©chargÃ©s</i> dans l'arborescence de l'espace de travail, situÃ© sur la gauche de l'Ã©cran.</p>
 
-description4=<p>Dans la section <i>Document Plugins</i> du panneau <i>Concevoir</i>, ajoutez le plugiciel <i>MediaWikiPlugin</i>. Le plugiciel <i>MediaWikiPlugin</i> a de nombreuses options spÃ©cifiques qui dÃ©terminent des aspects de la prÃ©sentation des pages, comme la prÃ©sence ou non d'une table des matiÃšres, l'affichage ou non de barres de navigation et de boÃ®tes de recherche sur chaque page. Configurez ces options en fonction de l'apparence que vous souhaitez pour vos pages. Vous pouvez voir les options utilisÃ©es par cette collection dans son <a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">fichier de configuration de collection</a>.</p>
+description4=<p>Dans la section <i>Document Plugins</i> du panneau <i>Concevoir</i>, ajoutez le plugiciel <i>MediaWikiPlugin</i>. Le plugiciel <i>MediaWikiPlugin</i> a de nombreuses options spÃ©cifiques qui dÃ©terminent des aspects de la prÃ©sentation des pages, comme la prÃ©sence ou non d'une table des matiÃšres, l'affichage ou non de barres de navigation et de boÃ®tes de recherche sur chaque page. Configurez ces options en fonction de l'apparence que vous souhaitez pour vos pages. Vous pouvez voir les options utilisÃ©es par cette collection dans son fichier de configuration de collection.</p>
Index: documented-examples/trunk/wiki-e/resources/collectionConfig_zh.properties
===================================================================
--- documented-examples/trunk/wiki-e/resources/collectionConfig_zh.properties	(revision 36368)
+++ documented-examples/trunk/wiki-e/resources/collectionConfig_zh.properties	(revision 36398)
@@ -3,6 +3,6 @@
 shortDescription=<p>æ¬æŒç€ºéŠèæå»ºäºGreenstoneç»Žåºçœç«ãå®æŒç€ºGreenstoneä»äžäžªMediaWikiçœç«äž­åå»ºéŠèçåèœã</p>
 
-description1=<p><h3>åŠäœåå»ºæ¬éŠè</h3>æ¬éŠèç<a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">é
-çœ®æä»¶</a>å
+description1=<p><h3>åŠäœåå»ºæ¬éŠè</h3>æ¬éŠèçé
+çœ®æä»¶,<tt>collectionConfig.xml</tt>,å
 å«åŠäžçæä»¶ïŒ <i>MediaWikiPlugin</i>ïŒ<i>ImagePlugin</i>ïŒ<i>ZipPlugin</i>ïŒ<i>PDFPlugin</i>ïŒ<i>PowerPointPlugin</i>ïŒ <i>WordPlugin</i>ïŒä»¥åæ åæä»¶<i>GreenstoneXMLPlugin</i>ïŒ<i>ArchivesInfPlugin</i>ä»¥å<i>DirectoryPlugin</i>ïŒã <i>MediaWikiPlugin</i>æä»¶å€çä»MediaWikiçœç«äžèœœçHTMLé¡µé¢ïŒè<i>ImagePlugin</i>ïŒ<i>ZipPlugin</i>ïŒ <i>PDFPlugin</i>ïŒ<i>PowerPointPlugin</i>ä»¥å<i>WordPlugin</i>å€çGreenstoneç»ŽåºéåžŠçåŸçïŒ zipïŒPDFïŒPowerPointä»¥åWordæä»¶ã</p>
 
@@ -16,4 +16,4 @@
 å®¹å€§çº²ãæµè§å·¥å
 ·æ¡åæçŽ¢æ¡ãè¿äºéé¡¹çé
-çœ®åå³äºäœ ææ³èŠçé¡µé¢æŸç€ºæ ŒåŒã æ¬éŠèç<a href="_httpcollection_/etc/collect.cfg" target="collect.cfg">é
-çœ®æä»¶</a>æŸç€ºäºæ¬éŠèå¯¹è¿äºéé¡¹çè®Ÿçœ®ã
+çœ®åå³äºäœ ææ³èŠçé¡µé¢æŸç€ºæ ŒåŒã æ¬éŠèçé
+çœ®æä»¶æŸç€ºäºæ¬éŠèå¯¹è¿äºéé¡¹çè®Ÿçœ®ã