Index: documented-examples/trunk/bibtex-supp-e/etc/collect.cfg
===================================================================
--- documented-examples/trunk/bibtex-supp-e/etc/collect.cfg	(revision 21010)
+++ documented-examples/trunk/bibtex-supp-e/etc/collect.cfg	(revision 36463)
@@ -1,2 +1,3 @@
+infodbtype	gdbm
 creator		greenstone@cs.waikato.ac.nz
 maintainer	greenstone@cs.waikato.ac.nz
@@ -264,5 +265,5 @@
 <p>
 <i>Supercollection</i> has two principal uses. One is when a collection is
-be continually updated with new material, but is impractical to rebuild
+being continually updated with new material, but it's impractical to rebuild
 after each addition. New material can be accumulated in a small supplementary
 collection that rebuilds very quickly. Periodically, the two are amalgamated
@@ -276,7 +277,7 @@
 Greenstone collections can be very large -- we have built one with 11 million
 short documents, and another with 7 GB of text. However, gigantic collections
-may have be split up. One smaller-scale example is a collection of over a
+may have to be split up. One smaller-scale example is a collection of over a
 million small documents that is delivered on 5 CD-ROMs, each of which works
-individually as an independent Greenstone collection. When several are insalled on the hard
+individually as an independent Greenstone collection. When several are installed on the hard
 drive, they can be searched together as a seamless unit.\n
 
@@ -381,5 +382,5 @@
 <p>
 
-El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> es el mismo que el de la colecciÃ³n bibliogrÃ¡fica (llamada \"bibtex-e\"), excepto por una pequeÃ±a pero muy importante diferencia: la lÃ­nea que dice  
+El <a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>archivo de configuraciÃ³n de la colecciÃ³n</a> es el mismo que el de la colecciÃ³n bibliogrÃ¡fica (llamada \"bibtex-e\"), excepto por una pequeÃ±a pero muy importante diferencia: la lÃ­nea que dice
 
 <pre>
@@ -428,6 +429,6 @@
 
 <!-- _text1_ -->
-The \"documented-examples/\" parts of the collection names are necessary 
-because these collections reside in the \"documented-examples\" collection 
+The \"documented-examples/\" parts of the collection names are necessary
+because these collections reside in the \"documented-examples\" collection
 group subfolder in the collect directory.\n
 <p>
@@ -468,27 +469,27 @@
 æ¬éŠèå
 å«äº_about:numdocs_æ¡BibTeXè®°åœïŒç±<a href=\"http://www.waikato.ac.nz\">æå¡æå€§å­Š</a>
-<a href=\"http://www.cs.waikato.ac.nz\">è®¡ç®æºç³»</a>åš1997è³2006å¹ŽéŽåè¡šçå·¥äœè®ºæç»æã\n 
- 
-<h3>æ¬éŠèåŠäœå·¥äœ</h3>\n 
- 
-<p>æ¬éŠèïŒ\"bibtex-supp-e\"ïŒçç®çæ¯æŒç€ºGreenstoneç\"supercollection\"ïŒäžçº§éŠèïŒåèœã\n 
- 
+<a href=\"http://www.cs.waikato.ac.nz\">è®¡ç®æºç³»</a>åš1997è³2006å¹ŽéŽåè¡šçå·¥äœè®ºæç»æã\n
+
+<h3>æ¬éŠèåŠäœå·¥äœ</h3>\n
+
+<p>æ¬éŠèïŒ\"bibtex-supp-e\"ïŒçç®çæ¯æŒç€ºGreenstoneç\"supercollection\"ïŒäžçº§éŠèïŒåèœã\n
+
 <p>æ¬éŠèåŸå°ïŒåªæ_about:numdocs_äžªææ¡£ïŒåŠåç¹å»<a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\"><i>é¢å</i></a>æé®æç€ºã
 å®çç»æäžæŽå€§äºçéŠè<a href=\"_gwcgi_?l=_cgiargl_&c=documented-examples/bibtex-e&a=p&p=about&ct=1&qto=3&qt=1&l=en&w=utf-8\">
-æç®éŠè</a>çžåïŒé€äºæ²¡æ<i>è¯ç»</i>æé®ä¹å€ïŒå äžºæ¬éŠèå€ªå°ïŒäžéåçšè¯ç»çŽ¢åŒïŒã\n 
- 
+æç®éŠè</a>çžåïŒé€äºæ²¡æ<i>è¯ç»</i>æé®ä¹å€ïŒå äžºæ¬éŠèå€ªå°ïŒäžéåçšè¯ç»çŽ¢åŒïŒã\n
+
 <p>æ¬éŠèç<a href=\"_httpcollection_/etc/collect.cfg\" target=collect.cfg>é
 çœ®æä»¶</a>äžæç®éŠèïŒ\"bibtex-e\"ïŒçé
 çœ®æä»¶çžåïŒé€äºåŸå°äœå
 ³é®
-çäžå€åºå«ïŒè¿äžè¡\n 
- 
-<pre> 
-supercollection documented-examples/bibtex-supp-e documented-examples/bibtex-e 
-</pre>\n 
- 
+çäžå€åºå«ïŒè¿äžè¡\n
+
+<pre>
+supercollection documented-examples/bibtex-supp-e documented-examples/bibtex-e
+</pre>\n
+
 \"documented-examples/\"éšåçéŠèåæ¯å¿
-éçïŒå äžºè¿äºéŠèå­åšäºcollectç®åœäž­\"documented-examples\"éŠèç»å­æä»¶å€¹äž­ã\n 
- 
+éçïŒå äžºè¿äºéŠèå­åšäºcollectç®åœäž­\"documented-examples\"éŠèç»å­æä»¶å€¹äž­ã\n
+
 <p>è¿åªäŒåœ±åå°<i>æçŽ¢</i>ïŒäžäŒåœ±åå°æµè§ãè¿æå³çåœè¿è¡æçŽ¢æ¶ïŒ<i>bibtex-e</i>éŠèä¹äŒè¢«èªåšæçŽ¢å°ãæ¯åŠïŒåŠæäœ æµè§
 <a href=\"_gwcgi_?l=_cgiargl_&c=_cgiargc_&a=d&cl=CL1\"><i>é¢å</i></a>åè¡šïŒäœ å°çå°äžäºå
@@ -497,6 +498,6 @@
 <i>event</i>ïŒäœ å°æŸå°17å¹é
 çææ¡£ãè¿æ¯å äžºåæ ·çæçŽ¢åšæç®éŠèäž­å¹é
-å°12äžªææ¡£ã\n 
- 
+å°12äžªææ¡£ã\n
+
 <p><i>äžçº§éŠè</i>æäž€äžªäž»èŠççšéãäžç§æ
 åµæ¯åœäžäžªéŠèè¢«æç»­æŽæ°æ·»å æ°ææïŒèåäžå¯èœåšæ¯æ¬¡æ·»å åéœéæ°æå»ºéŠèãæ°ææå¯ä»¥è¢«æ·»å å°å°çã
@@ -504,6 +505,6 @@
 å«äžäžª<i>supercollection</i>ïŒäžçº§éŠèïŒçå®ä¹ãïŒåœåéŠèå³æäžäžªäž»äœç
 \"æç®\"éŠèåäžäžªå°äºç\"éå±\"éŠèïŒäœæ¯è¿éââå äžºæä»¬å³å®è¿ä¹æ¥è§£éè¿äžªåèœââå®é
-äž<i>supercollection</i>å®ä¹åºç°åš\"éå±\"éŠèäž­!)\n 
- 
+äž<i>supercollection</i>å®ä¹åºç°åš\"éå±\"éŠèäž­!)\n
+
 <p><i>äžçº§éŠè</i>åæ ·å¯çšäºåºå€§çéŠèãéåžžæ
 åµäžGreenstoneéŠèå¯ä»¥æ¯åŸå€§è§æš¡çââæä»¬æå»ºè¿ç±1å1çŸäžäžªç­ææ¡£ç»æçéŠèïŒèåŠäžäžªéŠèç±
@@ -512,9 +513,9 @@
 å°ç¡¬çäžæ¶ïŒè¿äºéŠèå³å¯æäžºäžäžªæ çŒçæŽäœïŒå¹¶å¯¹å
 ¶å
-šéšè¿è¡æçŽ¢ã\n 
- 
+šéšè¿è¡æçŽ¢ã\n
+
 <p>äžçº§éŠèçåèœåªéäº<i>æçŽ¢</i>ãåšæµè§æ¶ïŒç®åçè¿äžªéŠèéåžžå°ãäœæ¯åšæçŽ¢æ¶ïŒå®å°±æŸåŸå€§åŸå€ãæä»¬åç°å¯¹äºå€§è§æš¡éŠèèèšïŒæµè§çäœçšä¹æ¯
-æéçãæ¯åŠïŒåé¢æå°çCD-ROMéŠèå°±æ²¡ææµè§æé®ïŒåªææçŽ¢æé®ã\n 
- 
+æéçãæ¯åŠïŒåé¢æå°çCD-ROMéŠèå°±æ²¡ææµè§æé®ïŒåªææçŽ¢æé®ã\n
+
 <p>æ¬ç€ºäŸäž­çäž€äžªéŠèæçäžæš¡äžæ ·çç»æã<i>äžçº§éŠè</i>ä¹å¯çšäºç»æäžäžæ ·çéŠèãæ¯äžªéŠèéœå°æ­£åžžæŸç€ºïŒèè·šéŠèæçŽ¢ä¹å°æ­£åžžå·¥äœãåœæŸç€ºææ¡£
 æ¶ïŒå