Index: /documented-examples/trunk/bibtex-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/bibtex-e/etc/collectionConfig.xml	(revision 36473)
+++ /documented-examples/trunk/bibtex-e/etc/collectionConfig.xml	(revision 36474)
@@ -85,6 +85,5 @@
 		<indexOption name="stem"/>
 		<searchType name="plain"/>
-		<searchType name="simpleform"/>
-		<searchType name="advancedform"/>
+		<searchType name="simpleform"/>		
 		<format>
 			<gsf:template match="documentNode">
Index: /documented-examples/trunk/bibtex-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/bibtex-e/resources/collectionConfig.properties	(revision 36473)
+++ /documented-examples/trunk/bibtex-e/resources/collectionConfig.properties	(revision 36474)
@@ -37,5 +37,5 @@
 description3=<p>Fielded searching, with a form-based interface, is selected by <i>format SearchTypes "form,plain" </i> in the configuration file. In fact, a plain textual full-text search index is included in this collection as well (since <i>form</i> comes first, it is the default interface; you reach the <i>plain</i> search through the <i>Preferences</i> page).</p>
 
-description4=<p>The <i>buildtype</i> option shows that the default search engine <i>mgpp</i> is used. The <i>indexes</i> line specifies indexes for "text", and "metadata". In this case, "text" will be the original BibTeX record. "metadata" is a special keyword signifying that an index should be built for any metadata item found in the collection. Thus when the "field" menus in the collection\'s <i>search page</i> are pulled down, they show <i>full records</i> followed by an entry for each metadata element. In the collection\'s <tt>resources/collectionConfig.properties</tt> file, collection-level metadata <i>collectionmeta</i> can be specified for any index to determine what it is called (except for <i>metadata</i>, which produces many menu items). In this case, the <i>collectionConfig.properties</i> file specifies that the <i>text</i> index (referred to by collection\'s configuration file, <tt>collectionConfig.xml</tt>) should be named "full records" because it contains the original bibliographic record.</p>
+description4=<p>The <i>buildtype</i> option shows that the default search engine <i>mgpp</i> is used. The <i>indexes</i> line specifies indexes for "text", and "metadata". In this case, "text" will be the original BibTeX record. "metadata" is a special keyword signifying that an index should be built for any metadata item found in the collection. Thus when the "field" menus in the collection\'s <a href="library/collection/bibtex-e/search/FieldQuery">search page</a> are pulled down, they show <i>full records</i> followed by an entry for each metadata element. In the collection\'s <tt>resources/collectionConfig.properties</tt> file, collection-level metadata <i>collectionmeta</i> can be specified for any index to determine what it is called (except for <i>metadata</i>, which produces many menu items). In this case, the <i>collectionConfig.properties</i> file specifies that the <i>text</i> index (referred to by collection\'s configuration file, <tt>collectionConfig.xml</tt>) should be named "full records" because it contains the original bibliographic record.</p>
 
 description5=<p>An additional keyword, "allfields", could also be used in the <i>indexes</i> line, specifying that combined searching over all indexes should be available.</p>
@@ -45,15 +45,9 @@
 description7=<p>This collection contains <i>Title, Author</i>, and <i>Date</i> browsers. The <i>AZCompactList</i> classifier used for the <i>Author</i> browser is like <i>AZList</i> but generates a bookshelf for duplicate items. The BibTeX plugin records each author as <i>Author</i> metadata; it also puts a list containing all authors into the <i>Creator</i> metadata element. Consequently the <i>AZCompactList</i> classifier is based on <i>Author</i>. However, Greenstone has a standard button reading <i>authors</i> whose name is (confusingly) "Creator", so this button name is specified for the classifier.</p>
 
-#description7=<p>This collection contains <i>Title, Author</i>, and <i>Date</i> browsers, and a special kind of phrase index called "Phind." ...</p>
+description8=<p>The format statements for the search results list and the title browser are both determined by the <i>VList</i> specification. It gives a document icon that links to the document itself (which in this collection is the full reference); the title in bold; <i>Creator</i> metadata if there is any, otherwise <i>Editor</i> metadata; and <i>Month, Year</i> metadata if there is any. <a href=http://localhost:8383/greenstone3/library/collection/bibtex-e/search/FieldQuery?a=q&sa=&rt=rd&s1.level=Doc&s1.case=1&s1.stem=0&s1.matchMode=some&s1.sortBy=1&s1.maxDocs=50&s1.fqv=Jain&s1.fqf=TX&s1.fqv=&s1.fqf=NU&s1.fqv=&s1.fqf=NU&s1.fqv=&s1.fqf=NU&s1.hitsPerPage=20">Here</a> is an example.</p>
 
-#description8=<p>The "Phind" classifier creates a phrase index like <a href="?a=d&cl=CL4">this</a>. It contains a browsable list of phrases extracted from the material specified in the <i>text</i> argument of the <i>classify Phind</i> line in the <a href="_httpcollection_/etc/collect.cfg" target=collect.cfg>configuration file</a>. Here the specification is <pre> document:Title,document:Creator,document:Booktitle,document:Publisher </pre>  -- that is, the title, list of authors, title of the collected work (if any) in which this item appears, and publisher. Note that this specification follows the <i>mg</i> convention with <i>level:field</i>. <i>Phind</i> indexes are more usually based on the entire full text of a collection, using the specification <i>document:text</i>.</p>
+description9=<p>The format statement for the author browser (<i>CL2VList</i>) is more complex. The <i>AZCompactList</i> classifier generates a tree whose nodes are either leaf nodes, representing documents, or internal nodes. A metadata item called <i>numleafdocs</i> gives the total number of documents below an internal node. This format statement checks whether numleafdocs exists. If so the node must be an internal node, in which case the node is labeled by its <i>Title</i>. But beware: this classifier is generated on <i>Author</i> metadata, so its title -- the title of the classifier -- is actually the author\'s name! This means that the bookshelf nodes <a href="library/collection/bibtex-e/browse/CL2">here</a> are labeled by author\'s name. The leaf nodes, however, are labeled the same way as documents (i.e. references) are in the search results list.</p>
 
-#description9=<p>The best way to see what Phind does is to play with this index. You type a word in the search box, click <i>Search</i>, and a list of phrases containing that term appears in the top panel. Click on one of these phrases and a list of phrases containing that <i>phrase</i> appears in the bottom panel. You can continue doing this, expanding the phrase more and more. The lists can be lengthened using the <i>get more phrases </i> button. At the end of the list of phrases appears a list of documents containing that phrase, in blue text; you can lengthen this list by clicking get <i>more documents</i>.</p>
-
-description8=<p>The format statements for the search results list and the title browser are both determined by the <i>VList</i> specification. It gives a document icon that links to the document itself (which in this collection is the full reference); the title in bold; <i>Creator</i> metadata if there is any, otherwise <i>Editor</i> metadata; and <i>Month, Year</i> metadata if there is any.</p>
-
-description9=<p>The format statement for the author browser (<i>CL2VList</i>) is more complex. The <i>AZCompactList</i> classifier generates a tree whose nodes are either leaf nodes, representing documents, or internal nodes. A metadata item called <i>numleafdocs</i> gives the total number of documents below an internal node. This format statement checks whether numleafdocs exists. If so the node must be an internal node, in which case the node is labeled by its <i>Title</i>. But beware: this classifier is generated on <i>Author</i> metadata, so its title -- the title of the classifier -- is actually the author\'s name! This means that such bookshelf nodes are labeled by author\'s name. The leaf nodes, however, are labeled the same way as documents (i.e. references) are in the search results list.</p>
-
-description10=<p>The documents themselves are generated by two format statements, one (a long one) called <i>DocumentHeading</i>, and another called <i>DocumentContent</i>. The <i>DocumentHeading</i>, which is the top two-thirds of the page, contains the document\'s <i>Title</i> followed by a table that gives all the metadata elements that the BibTeX plugin can generate. The role of all the <i>gsf:switch</i> statements in the collection cofiguration file, <tt>collectionConfig.xml</tt>, is to determine which elements are defined.</p>
+description10=<p>The documents themselves (here is an <a href="library/collection/bibtex-e/document/98_9">example</a>) are generated by two format statements, one (a long one) called <i>DocumentHeading</i>, and another called <i>DocumentContent</i>. The <i>DocumentHeading</i>, which is the top two-thirds of the page, contains the document\'s <i>Title</i> followed by a table that gives all the metadata elements that the BibTeX plugin can generate. The role of all the <i>gsf:switch</i> statements in the collection cofiguration file, <tt>collectionConfig.xml</tt>, is to determine which elements are defined.</p>
 
 description11=<p>The <i>DocumentContent</i> has been overridden. When the document is displayed initially, only a hyperlink reading <i>Show/Hide BibTex Record</i> appears -- clicking this invokes JavaScript to toggle the display of the raw BibTex record (showing the BibText version of the reference), which is hidden by default.</p>
Index: /documented-examples/trunk/dls-e/etc/collectionConfig.xml
===================================================================
--- /documented-examples/trunk/dls-e/etc/collectionConfig.xml	(revision 36473)
+++ /documented-examples/trunk/dls-e/etc/collectionConfig.xml	(revision 36474)
@@ -32,4 +32,7 @@
 		<displayItem assigned="true" dictionary="collectionConfig" key="description20" name="description20"/>
 		<displayItem assigned="true" dictionary="collectionConfig" key="description21" name="description21"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="textsource" name="textsource"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="textnumpages" name="textnumpages"/>
+		<displayItem assigned="true" dictionary="collectionConfig" key="textdate" name="textdate"/>
 	</displayItemList>
 	<format/>
@@ -145,13 +148,13 @@
 							<gsf:switch>
 								<gsf:metadata name="Date"/>
-								<gsf:when test="exists"><br/>_textdate_<gsf:metadata name="Date"/></gsf:when>
+								<gsf:when test="exists"><br/><gsf:metadata name="Date"/><gsf:metadata name="Date"/></gsf:when>
 							</gsf:switch>
 							<gsf:switch>
 								<gsf:metadata name="NumPages"/>
-								<gsf:when test="exists"><br/>_textnumpages_<gsf:metadata name="NumPages"/></gsf:when>
+								<gsf:when test="exists"><br/><gsf:metadata name="NumPages"/><gsf:metadata name="NumPages"/></gsf:when>
 							</gsf:switch>
 							<gsf:switch>
 								<gsf:metadata name="Source"/>
-								<gsf:when test="exists"><br/>_textsource_<gsf:metadata name="Source"/></gsf:when>
+								<gsf:when test="exists"><br/><gsf:metadata name="Source"/><gsf:metadata name="Source"/></gsf:when>
 							</gsf:switch>
 						</small>
@@ -174,13 +177,13 @@
 							<gsf:switch>
 								<gsf:metadata name="Date"/>
-								<gsf:when test="exists"><br/>_textdate_<gsf:metadata name="Date"/></gsf:when>
+								<gsf:when test="exists"><br/><gsf:metadata name="Date"/><gsf:metadata name="Date"/></gsf:when>
 							</gsf:switch>
 							<gsf:switch>
 								<gsf:metadata name="NumPages"/>
-								<gsf:when test="exists"><br/>_textnumpages_<gsf:metadata name="NumPages"/></gsf:when>
+								<gsf:when test="exists"><br/><gsf:metadata name="NumPages"/><gsf:metadata name="NumPages"/></gsf:when>
 							</gsf:switch>
 							<gsf:switch>
 								<gsf:metadata name="Source"/>
-								<gsf:when test="exists"><br/>_textsource_<gsf:metadata name="Source"/></gsf:when>
+								<gsf:when test="exists"><br/><gsf:metadata name="Source"/><gsf:metadata name="Source"/></gsf:when>
 							</gsf:switch>
 						</small>
Index: /documented-examples/trunk/dls-e/etc/dls.AZList.txt
===================================================================
--- /documented-examples/trunk/dls-e/etc/dls.AZList.txt	(revision 36473)
+++ /documented-examples/trunk/dls-e/etc/dls.AZList.txt	(revision 36474)
@@ -5,5 +5,5 @@
 "Q-R-S"	5	"Q-R-S"
 "T-U-V-W-X-Y-Z"	6	"T-U-V-W-X-Y-Z"
-"_textperiodicals_"	7	"_textperiodicals_"
+"_textperiodicals_"	7	"Periodicals"
 "_textperiodicals_|Go Between"	7.1	"Go Between"
 "_textperiodicals_|The Courier"	7.2	"The Courier"
Index: /documented-examples/trunk/dls-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/dls-e/resources/collectionConfig.properties	(revision 36473)
+++ /documented-examples/trunk/dls-e/resources/collectionConfig.properties	(revision 36474)
@@ -3,11 +3,15 @@
 section_text=chapters
 document_text=entire documents
-document=_textdocument_
-		
+document=Document
+textdate=publication date: 
+textnumpages=no. of pages: 
+textsource=source ref: 
+
+
 shortDescription=<p>The Humanitarian Development Libraries represent a large collection of practical information aimed at helping reduce poverty, increasing human potential, and providing a practical and useful education for all. This subset contains about 25 publications--documents, reports, and periodical articles--in various areas of human development, from agricultural practice to economic policies, from water and sanitation to society and culture, from education to manufacturing, from disaster mitigation to micro-enterprises.</p>
 
 description0=<p>The editors of this collection are Human Info NGO, HumanityCD Ltd, and participating organizations. Contact us at Humanitarian and Development Libraries Project, Oosterveldiaan 196, B-2610 Antwerp, Belgium, Tel 32-3-448.05.54, Fax 32-3-449.75.74, email <a href=mailto:humanity@humaninfo.org>humanity@humaninfo.org</a>.
 
-description1=<h3>How the collection works</h3><p>The DLS collection is fairly complex. If you\'re just starting out you might prefer to look at some other collections first (e.g. <i>Word and PDF demonstration</i>, or the <i>Greenstone Archives</i>, or the <i>Simple Image collection</i>).</p>
+description1=<h3>How the collection works</h3><p>The DLS collection is fairly complex. If you\'re just starting out you might prefer to look at some other collections first (e.g. <a href="library/collection/wrdpdf-e/page/about">Word and PDF demonstration</a>, or the <a href="library/collection/gsarch-e/page/about">Greenstone Archives</a>, or the <a href="library/collection/image-e/page/about">Simple Image collection</a>).</p>
 
 description2=<p>The collection configuration file, <tt>collectionConfig.xml</tt>, like all collection configuration files, begins with the <i>creator</i> metadata element that gives the email address of the collection\'s creator, and another metadata ("public") that determines whether the collection will appear on the home page of the Greenstone installation. Note that setting "public" to "false" only removes it from the home page; it will still be accessible in the library to anyone that knows the URL to the collection.</p>
@@ -17,11 +21,11 @@
 description4=<p>The other plugins, <i>GreenstoneXMLPlugin, MetadataXMLPlugin, ArchivesInfPlugin, and DirectoryPlugin</i>, are used by Greenstone for internal purposes and are standard in almost all collections.</p>
 
-description5=<p><b>Searchable indexes</b>. The block of lines starting with <i>indexes</i> specifies what searchable indexes will be available. In this collection there are three: you can see them when you pull down the "Search for" menu on the collection\'s <tt>search page</tt>. The first index is called "chapters", the second "section titles", and the third "entire documents". The names of these three indexes are given by three properties (section_text, section_Title and document_text) in the translatable <tt>collectionConfig.properties</tt> file located in the collection\'s <tt>resources</tt> subfolder.</p>
+description5=<p><b>Searchable indexes</b>. The block of lines starting with <i>indexes</i> specifies what searchable indexes will be available. In this collection there are three: you can see them when you pull down the "Search for" menu on the collection\'s <a href="library/collection/dls-e/search/TextQuery">search page</a>. The first index is called "chapters", the second "section titles", and the third "entire documents". The names of these three indexes are given by three properties (section_text, section_Title and document_text) in the translatable <tt>collectionConfig.properties</tt> file located in the collection\'s <tt>resources</tt> subfolder.</p>
 
 description6=<p>The contents of the indexes -- that is, the specification of what it is that will be searched -- are defined by the <i>indexes</i> line at the beginning of this block. This specifies three indexes, two at the section level (beginning with <i>section:</i>) and one at the document level (beginning with <i>document:</i>). The difference is that a multi-word query will only match a section-level index if all query terms appear in the same section, whereas it will match a document-level index if the terms appear anywhere within the document (which typically comprises several sections). The first and third indexes are <i>section:text</i> and <i>document:text</i>, and the <i>:text</i> means that the full text of sections and documents respectively will be searched. The second is <i>section:Title</i>, which means that <i>Title</i> metadata will be searched -- in this case, section titles (rather than document titles). The three indexes appear in the order in which they are specified on the <i>indexes</i> line.</p>
 
-description7=<p><b>Classifiers</b>. The block of lines labeled <i>classify</i> define the browsing indexes, called "classifiers" in Greenstone. There are four of them, corresponding to four buttons on the navigation bar at the top of each page in the collection (e.g. the <tt>search page</tt>): <i>subjects</i>, <i>titles</i>, <i>organisations</i>, and <i>howto</i> The <i>search</i> button comes first, then come the four classifiers, in order.</p>
+description7=<p><b>Classifiers</b>. The block of lines labeled <i>classify</i> define the browsing indexes, called "classifiers" in Greenstone. There are four of them, corresponding to four buttons on the navigation bar at the top of each page in the collection (e.g. the <a href="library/collection/dls-e/search/TextQuery">search page</a>): <i>subjects</i>, <i>titles</i>, <i>organisations</i>, and <i>howto</i> The <i>search</i> button comes first, then come the four classifiers, in order.</p>
 
-description8=<p>The first classifier provides access by subject. It is a <i>Hierarchy</i> classifier whose hierarchy is defined in the file <tt>dls.Subject.txt</tt> (the <i>hfile</i> argument); this file is discussed below. This classifier is based on <i>dls.Subject</i> metadata, and when several books appear at a leaf of the hierarchy they are sorted by <i>dls.Title</i> metadata (as you can see when you open classifier browser <tt>CL1.4.1</tt>).  The second classifier provides access by title. It is also a <i>Hierarchy</i> classifier, this time based on <i>dls.AZList</i> metadata, whose hierarchy is defined in <tt>dls.AZList.txt</tt>. This file is discussed below.  The third provides access by organization: it is a <i>List</i> classifier based on <i>dls.Organization</i> metadata. The <i>-bookshelf_type always</i> option creates a new bookshelf for each organization, even if only one document belongs to that category.  The fourth provides access by "Howto" text: it is a <i>List</i> classifier based on <i>dls.Keyword</i> metadata. The <i>-bookshelf_type never</i> option prevents bookshelves being created even if two documents share the same keywords.</p>
+description8=<p>The first classifier provides access by subject. It is a <i>Hierarchy</i> classifier whose hierarchy is defined in the file <tt>etc/dls.Subject.txt</tt> (the <i>hfile</i> argument); this file is discussed below. This classifier is based on <i>dls.Subject</i> metadata, and when several books appear at a leaf of the hierarchy they are sorted by <i>dls.Title</i> metadata (as you can see when you open classifier browser <tt>CL1.4.1</tt>).  The second classifier provides access by title. It is also a <i>Hierarchy</i> classifier, this time based on <i>dls.AZList</i> metadata, whose hierarchy is defined in <tt>etc/dls.AZList.txt</tt>. This file is discussed below.  The third provides access by organization: it is a <i>List</i> classifier based on <i>dls.Organization</i> metadata. The <i>-bookshelf_type always</i> option creates a new bookshelf for each organization, even if only one document belongs to that category.  The fourth provides access by "Howto" text: it is a <i>List</i> classifier based on <i>dls.Keyword</i> metadata. The <i>-bookshelf_type never</i> option prevents bookshelves being created even if two documents share the same keywords.</p>
 
 description9=<p><b>Cover images</b>. Greenstone looks for a cover image for each document, whose name is the same as the document\'s but with a <i>.jpg</i> extension. This image is associated with the document, and may be displayed on the document page (see below). Cover images can be switched off by setting the -no_cover_image flag for each plugin.</p>
@@ -43,5 +47,5 @@
 description17=<p><b>Hierarchy files</b>. Hierarchy files contain a succession of lines each of which has three items. The first item is a text string which is matched against the metadata that occurs in the <i>metadata.xml</i> file described above. The second item is a number that defines the position in the hierarchy. The third item is a text string that describes the node of the hierarchy on the web pages that Greenstone generates.</p>
 
-description18=<p>For example, the following shows three lines from the subject hierarchy file <tt>dls.Subject.txt</tt>. \n\
+description18=<p>For example, the following shows three lines from the subject hierarchy file <tt>etc/dls.Subject.txt</tt>. \n\
 <pre> "Animal Husbandry and Animal Product Processing " \n\
 7  "Animal Husbandry and Animal Product Processing "   "Animal Husbandry and Animal Product Processing|Cattle " \n\
@@ -55,3 +59,3 @@
 description20=<p>In this case, the first strings (and therefore the entries in metadata.xml files) contain the entire hierarchy values. Levels in the hierarchy are separated by  "| ". They could be used directly by a <i>Hierarchy</i> classifier without the use of the hierarchy file. However, then the entries would be ordered alphabetically, not in the special order defined by the file.</p>
 
-description21=<p>The <tt>dls.AZList.txt</tt> hierarchy file used by the titles classifier contains a similar structure. Ordinarily, a titles browser would use a <i>List</i> (or <i>AZList</i>) classifier. In this case, we want to predefine the A-Z groupings, and include a separate entry for periodicals, as can be seen in classifier browser <tt>CL2.7</tt>.</p>
+description21=<p>The <tt>etc/dls.AZList.txt</tt> hierarchy file used by the titles classifier contains a similar structure. Ordinarily, a titles browser would use a <i>List</i> (or <i>AZList</i>) classifier. In this case, we want to predefine the A-Z groupings, and include a separate entry for periodicals, as can be seen in classifier browser <a href="library/collection/dls-e/browse/CL2/7">here</a>.</p>