Index: gs3-extensions/webswing/trunk/web/etc/catalina-opts-extra.args.in
===================================================================
--- gs3-extensions/webswing/trunk/web/etc/catalina-opts-extra.args.in	(revision 36490)
+++ gs3-extensions/webswing/trunk/web/etc/catalina-opts-extra.args.in	(revision 36490)
@@ -0,0 +1,5 @@
+-Dwebswing.warLocation=@gsdl3srchome@/packages/tomcat/webapps/webswing-server.war \
+-Dwebswing.configFile=@gsdl3srchome@/web/ext/webswing/etc/webswing.config \
+-Dwebswing.propertiesFile=@gsdl3srchome@/web/ext/webswing/etc/webswing.properties \
+-Dwebswing.tempDirBase=@gsdl3srchome@/web/ext/webswing/tmp \
+-Dwebswing.rootDir=@gsdl3srchome@/web/ext/webswing
Index: gs3-extensions/webswing/trunk/web/etc/webswing.config.in
===================================================================
--- gs3-extensions/webswing/trunk/web/etc/webswing.config.in	(revision 36490)
+++ gs3-extensions/webswing/trunk/web/etc/webswing.config.in	(revision 36490)
@@ -0,0 +1,71 @@
+{
+  "/" : {
+    "path" : "/",
+    "security" : {
+      "module" : "EMBEDED",
+      "config" : {
+        "users" : [ {
+          "username" : "admin",
+          "password" : "pwd",
+          "roles" : [ "admin" ]
+        }, {
+          "username" : "support",
+          "password" : "pwd",
+          "roles" : [ "support" ]
+        }, {
+          "username" : "user",
+          "password" : "pwd"
+        } ]
+      },
+      "classPath" : [ ]
+    },
+    "langFolder" : "${webswing.configDir}/lang",
+    "homeDir" : "${user.dir}",
+    "allowedCorsOrigins" : [ "*" ],
+    "adminConsoleUrl" : "http://localhost:8383/webswing-server/admin"
+  },
+  "/gli" : {
+    "path" : "/gli",
+    "security" : {
+      "module" : "INHERITED",
+      "config" : { },
+      "classPath" : [ ]
+    },
+    "icon" : "classes/images/gatherer.png",
+    "webFolder" : "",
+    "swingConfig" : {
+      "jreExecutable" : "${java.home}/bin/java",
+      "javaVersion" : "${java.version}",
+      "vmArgs" : "",
+      "classPathEntries" : [ "*.jar", "lib/*.jar" ],
+      "theme" : "Murrine",
+      "fontConfig" : {
+        "dialog" : "${webswing.configDir}/fonts/Roboto-Regular.ttf",
+        "dialoginput" : "${webswing.configDir}/fonts/RobotoMono-Regular.ttf",
+        "serif" : "${webswing.configDir}/fonts/RobotoSlab-Regular.ttf"
+      },
+      "swingSessionTimeout" : 300,
+      "antiAliasText" : true,
+      "isolatedFs" : true,
+      "debug" : true,
+      "directdraw" : true,
+      "allowDelete" : true,
+      "allowDownload" : true,
+      "allowAutoDownload" : true,
+      "allowUpload" : true,
+      "allowJsLink" : true,
+      "launcherType" : "Desktop",
+      "launcherConfig" : {
+        "mainClass" : "org.greenstone.gatherer.GathererProg",
+	"args": "-gsdl @gsdl3srchome@/gs2build -gsdlos linux -gsdl3 @gsdl3srchome@/web -gsdl3src @gsdl3srchome@"
+      },
+      "homeDir" : "@gsdl3srchome@/gli"
+    },
+    "maxClients" : 1,
+    "allowStealSession" : true,
+    "name" : "Greenstone Librarian Interface",
+    "sessionMode" : "CONTINUE_FOR_BROWSER",
+    "uploadMaxSize" : 5,
+    "webHomeDir" : "@gsdl3srchome@/gli"
+  }
+}
Index: gs3-extensions/webswing/trunk/web/etc/webswing.properties.in
===================================================================
--- gs3-extensions/webswing/trunk/web/etc/webswing.properties.in	(revision 36490)
+++ gs3-extensions/webswing/trunk/web/etc/webswing.properties.in	(revision 36490)
@@ -0,0 +1,16 @@
+# secret signing key for JWT tokens, should be at least 128 characters long string
+# - change this to a random alphanumeric string in production
+# - same secret must be present in admin console's webswing-admin.properties if you are using admin console
+webswing.connection.secret = Jco55eah9s0SQVXv4EYrau0hq40GaR6JxVzGA9jFuwqqDnmnljt2cwdkCyqcCv1zfLVM3ziUE3qxyvPKViVlYqNMTSMEOGkH6fhNFbm66Yd6EpgGVydtTXwK9iw1bjv1
+# use this property to provide secret key from a file 
+#webswing.connection.secret.file = secret.key
+
+# websocket URL of this server, if deployed outside embedded Jetty
+webswing.server.websocketUrl = ws://localhost:8383/webswing-server/
+
+#Custom ssl context configuration for websocket connection to Webswing server
+webswing.server.websocket.truststore.type = jks
+webswing.server.websocket.truststore = @gsdl3srchome@/web/ext/webswing/ssl/gs3-webswing-truststore.jks
+webswing.server.websocket.truststore.password = 123123
+webswing.server.websocket.hostnameVerifier.disabled = true
+#webswing.server.websocket.proxyUri = http://myproxy:8080