Index: /documented-examples/trunk/garish-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/garish-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/garish-e/resources/collectionConfig.properties	(revision 36510)
@@ -17,5 +17,5 @@
 description1=<p>Greenstone 3 uses default stylesheets, which can be overridden for all collections in a site or for any particular collection. This documented example collection covers the last case.</p>
 
-description2=<h3>How the collection works</h3><p>The <b>global</b> format statement contains a link to the collection's custom stylesheet, which is located inside the collection: \n\
+description2=<h3>How the collection works</h3><p>The <b>global</b> format statement contains a link to the collection\'s custom stylesheet, which is located inside the collection: \n\
 <pre>&lt;xsl:template name="additionalHeaderContent"&gt; \n\
     &lt;xsl:variable name="httpCollection"&gt; \n\
@@ -27,7 +27,7 @@
 </p>
 
-description3=<p>Next, a folder named <i>style</i> is created within the collection and a new text file, called <i>custom-style.css</i>, is created within that folder. The css suffix indicates it's a <i>Cascading Style Sheet</i>. CSS files define the look of web pages such as the colours, borders, fonts, heading styles and more. CSS files are just text files, and can thus be edited with any text editor.</p>
+description3=<p>Next, a folder named <i>style</i> is created within the collection and a new text file, called <i>custom-style.css</i>, is created within that folder. The css suffix indicates it\'s a <i>Cascading Style Sheet</i>. CSS files define the look of web pages such as the colours, borders, fonts, heading styles and more. CSS files are just text files, and can thus be edited with any text editor.</p>
 
-description4=<p>The default Greenstone CSS style sheets define certain styles for all collections, that are <i>overridden</i> for the collection by defining CSS rules within its new custom stylesheet. It is by linking the CSS file in the Greenstone collection's <b>global</b> format statement as above, that the general Greenstone CSS styling rules get overridden at the collection level.</p>
+description4=<p>The default Greenstone CSS style sheets define certain styles for all collections, that are <i>overridden</i> for the collection by defining CSS rules within its new custom stylesheet. It is by linking the CSS file in the Greenstone collection\'s <b>global</b> format statement as above, that the general Greenstone CSS styling rules get overridden at the collection level.</p>
 
 description5=<p>You can quickly learn how to write CSS at <a href="https://www.w3schools.com/css/default.asp">W3schools</a> and other online sites.</p>
Index: /documented-examples/trunk/gsarch-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/gsarch-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/gsarch-e/resources/collectionConfig.properties	(revision 36510)
@@ -13,9 +13,9 @@
 description1=<h3>How the collection works</h3><p>The Greenstone Archives collection uses the <i>Email</i> plugin, which parses files in email formats. In this case, there is a file per month per mailing list, and each file contains many email messages. The <i>Email</i> plugin splits these into individual documents, and produces <i>Title</i>, <i>Subject</i>, <i>From</i>, <i>FromName</i>, <i>FromAddr</i>, <i>Date</i>, <i>DateText</i>, <i>InReplyTo</i>, and optionally <i>Headers</i>, metadata.</p>
 
-description2=<p>The collection configuration file, <tt>etc/collectionConfig.xml</tt> specifies <i>&lt;importOption name="groupsize" value="200"/&gt;</i>. This groups documents together into groups of 200. Email collections typically have many small documents, and grouping them together prevents Greenstone's internal file structures from becoming bloated and occupying more disk space than necessary. Notice that the <i>Email</i> plugin first splits the input files up into individual Emails, then <i>groupsize</i> groups them together again. This allows the collection designer to control what is going on.</p>
+description2=<p>The collection configuration file, <tt>etc/collectionConfig.xml</tt> specifies <i>&lt;importOption name="groupsize" value="200"/&gt;</i>. This groups documents together into groups of 200. Email collections typically have many small documents, and grouping them together prevents Greenstone\'s internal file structures from becoming bloated and occupying more disk space than necessary. Notice that the <i>Email</i> plugin first splits the input files up into individual Emails, then <i>groupsize</i> groups them together again. This allows the collection designer to control what is going on.</p>
 
 description3=<p>The <i>indexes</i> line specifies 3 searchable indexes, which can be seen by clicking beside the word "Messages" on the <a href="library/collection/gsarch-e/search/TextQuery">search page</a> to reveal a drop-down menu. The first (called <i>Messages</i>) is created from the document text, while the others are formed from <i>From</i> and <i>Subject</i> metadata.</p>
 
-description4=<p>There are three classifiers, based on <i>Subject</i>, <i>FromName</i>, and <i>Date</i> metadata. The <i>AZCompactList</i> classifier used for the first two is like <i>AZList</i> but generates a bookshelf for duplicate items, as illustrated <tt>with classifier browser CL1</tt>. This is represented by a tree structure whose nodes are either leaf nodes, representing documents, or internal nodes. A metadata item called numleafdocs gives the total number of documents below an internal node. The format statement for the first classifier, called <i>CL1Vlist</i>, checks whether this item exists. If so the node must be an internal one, in which case it is labeled by its <i>Title</i>. Otherwise the node's label starts with the <i>Subject</i> which links to the document, then gives <i>FromName</i> metadata, with a link to "Search by Sender", followed by the <i>DateText</i>.</p>
+description4=<p>There are three classifiers, based on <i>Subject</i>, <i>FromName</i>, and <i>Date</i> metadata. The <i>AZCompactList</i> classifier used for the first two is like <i>AZList</i> but generates a bookshelf for duplicate items, as illustrated <tt>with classifier browser CL1</tt>. This is represented by a tree structure whose nodes are either leaf nodes, representing documents, or internal nodes. A metadata item called numleafdocs gives the total number of documents below an internal node. The format statement for the first classifier, called <i>CL1Vlist</i>, checks whether this item exists. If so the node must be an internal one, in which case it is labeled by its <i>Title</i>. Otherwise the node\'s label starts with the <i>Subject</i> which links to the document, then gives <i>FromName</i> metadata, with a link to "Search by Sender", followed by the <i>DateText</i>.</p>
 
 description5=<p>The second classifier (<i>CL2Vlist</i>) is similar, but shows slightly different information -- the result can be seen <tt>with classifier browser CL2</tt>. For internal nodes, the actual number of leaf documents (<i>numleafdocs</i>) is given in parentheses after the <i>Title</i>. For document nodes the <i>FromName</i>, with a link to "Search By Sender", <i>Subject</i> (linked to the document), and <i>DateText</i> metadata is shown.</p>
Index: /documented-examples/trunk/image-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/image-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/image-e/resources/collectionConfig.properties	(revision 36510)
@@ -7,5 +7,5 @@
 
 
-shortDescription=<p>This is a basic image collection that contains no text and no explicit metadata. Several JPEG files are placed in the import directory prior to importing and building the collection, that's all.</p>
+shortDescription=<p>This is a basic image collection that contains no text and no explicit metadata. Several JPEG files are placed in the import directory prior to importing and building the collection, that\'s all.</p>
 
 description1=<p>The images in this collection have been produced by members of the Department of Computer Science, University of Waikato. The University of Waikato holds copyright. They may be distributed freely, without any restrictions.</p>
@@ -13,9 +13,9 @@
 description2=<h3>How the collection works</h3><p><a href="library/collection/image-e/document/D2">Here</a> is a sample document in the collection. The configuration file, <tt>collectionConfig.xml</tt>, specifies no indexes, so the search button is suppressed.</p>
 
-description3=<p>There is only one plugin, <i>ImagePlugin</i>, aside from the others that are always present (crucially <i>GreenstoneXMLPlugin</i>, <i>MetadataXMLPlugin</i>, <i>ArchivesInfPlugin</i>, <i>DirectoryPlugin</i>). <i>ImagePlugin</i> relies on the existence of two programs from the ImageMagick suite (<a href="http://www.imagemagick.org">http://www.imagemagick.org</a>): <i>convert</i> and <i>identify</i>. Greenstone 3 binaries come bundled with Imagemagick as one of the components that can be optionally installed. Greenstone will not be able to build the collection correctly unless an ImageMagick is installed on your computer.</p>
+description3=<p>There is only one plugin, <i>ImagePlugin</i>, aside from the others that are always present (crucially <i>GreenstoneXMLPlugin</i>, <i>MetadataXMLPlugin</i>, <i>ArchivesInfPlugin</i>, <i>DirectoryPlugin</i>). <i>ImagePlugin</i> relies on the existence of two programs from the ImageMagick suite (<a href="http://www.imagemagick.org">www.imagemagick.org</a>): <i>convert</i> and <i>identify</i>. Greenstone 3 binaries come bundled with Imagemagick as one of the components that can be optionally installed. Greenstone will not be able to build the collection correctly unless an ImageMagick is installed on your computer.</p>
 
-description4=<p><i>ImagePlugin</i> automatically creates a thumbnail and generates the following metadata for each image in the collection:  <blockquote> <table border=0 cellspacing=0> <tr><td width=125 valign=top><i>Image</i></td><td>Name of file containing the image <tr> <tr><td valign=top><i>ImageWidth</i></td><td>Width of image (in pixels) <tr> <tr><td valign=top><i>ImageHeight</i></td><td>Height of image (in pixels) <tr> <tr><td valign=top><i>Thumb</i></td><td> Name of gif file containing thumbnail of image <tr> <tr><td valign=top><i>ThumbWidth</i></td><td>Width of thumbnail image (in pixels) <tr> <tr><td valign=top><i>ThumbHeight</i></td><td>Height of thumbnail image (in pixels) <tr> <tr><td valign=top><i>thumbicon</i></td><td>Full pathname specification of thumbnail image <tr> <tr><td valign=top><i>assocfilepath</i></td><td>Pathname of image directory in the collection's <i>assoc</i> directory <tr> </table> </blockquote></p>
+description4=<p><i>ImagePlugin</i> automatically creates a thumbnail and generates the following metadata for each image in the collection:  <blockquote> <table border=0 cellspacing=0> <tr><td width=125 valign=top><i>Image</i></td><td>Name of file containing the image <tr> <tr><td valign=top><i>ImageWidth</i></td><td>Width of image (in pixels) <tr> <tr><td valign=top><i>ImageHeight</i></td><td>Height of image (in pixels) <tr> <tr><td valign=top><i>Thumb</i></td><td> Name of gif file containing thumbnail of image <tr> <tr><td valign=top><i>ThumbWidth</i></td><td>Width of thumbnail image (in pixels) <tr> <tr><td valign=top><i>ThumbHeight</i></td><td>Height of thumbnail image (in pixels) <tr> <tr><td valign=top><i>thumbicon</i></td><td>Full pathname specification of thumbnail image <tr> <tr><td valign=top><i>assocfilepath</i></td><td>Pathname of image directory in the collection\'s <i>assoc</i> directory <tr> </table> </blockquote></p>
 
-description5=<p>The image is stored as an "associated file" in the <i>assoc</i> subdirectory of the collection's <i>index</i> directory. (<i>Index</i> is where all files necessary to serve the collection are placed, to make it self-contained.) For any document, its thumbnail and image are both in a subdirectory whose filename is given by <i>assocfilepath</i>. The metadata element <i>thumbicon</i> is set to the full pathname specification of the thumbnail image, and can be used in the same way as <i>srcicon</i> (see the MSWord and PDF demonstration collection).</p>
+description5=<p>The image is stored as an "associated file" in the <i>assoc</i> subdirectory of the collection\'s <i>index</i> directory. (<i>Index</i> is where all files necessary to serve the collection are placed, to make it self-contained.) For any document, its thumbnail and image are both in a subdirectory whose filename is given by <i>assocfilepath</i>. The metadata element <i>thumbicon</i> is set to the full pathname specification of the thumbnail image, and can be used in the same way as <i>srcicon</i> (see the MSWord and PDF demonstration collection).</p>
 
 description6=<p>The <tt>browse</tt> format statement in the collection configuration file, <tt>collectionConfig.xml</tt>, dictates how the document will appear, and <a href="library/collection/image-e/document/D2">this</a> is the result. There is no document text (if there were, it would be producible by <i>&lt;gsf:metadata name="rawtext"/&gt;</i> in format statements). What is shown is the image itself, along with some metadata extracted from it.</p>
Index: /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/lomdemo-e/resources/collectionConfig.properties	(revision 36510)
@@ -8,9 +8,9 @@
 text_and_rawtext=All text
 
-shortDescription=<p>This collection is a sample excerpt of educational resources from the University of Calgary's Learning Commons Educational Object Repository (no longer active). Taken from the subject areas of the arts and science, 38 items from the repository were exported in the IEEE LOM (Learning Object Metadata) format and digested into a Greenstone collection. For sample LOM metadata, see the records <tt>arts/657841.xml</tt> or <tt>record science/582041.xml</tt>.</p>
+shortDescription=<p>This collection is a sample excerpt of educational resources from the University of Calgary\'s Learning Commons Educational Object Repository (no longer active). Taken from the subject areas of the arts and science, 38 items from the repository were exported in the IEEE LOM (Learning Object Metadata) format and digested into a Greenstone collection. For sample LOM metadata, see the records <tt>arts/657841.xml</tt> or <tt>record science/582041.xml</tt>.</p>
 
 description1=<p>Traditional educational learning object repositories base searching and browsing around the provided metadata. This demonstration collection goes one step further and provides <i>full-text</i> indexing of the on-line resources, where possible.</p>
 
-description2=<p>Browse around the collection's items ordered by subject then title, or view the items chronologically. Alternatively search the text or titles of the items in the collection, optionally restricted to arts or science. When you view an item from the collection various views of it are available. You start by viewing its Learning Object Metadata (LOM) record in a tabulated form and divided into sections: these sections can be expanded or contracted to reveal more or less information as desired. Use the tabs at the top of the table to change the view of the learning object. There will always be a tab for "XML Record" which displays the metadata in its original IEEE LOM format. Depending on whether or not the learning object references an on-line resource that is available for indexing, a third tab may be present that displays the source document.</p>
+description2=<p>Browse around the collection\'s items ordered by subject then title, or view the items chronologically. Alternatively search the text or titles of the items in the collection, optionally restricted to arts or science. When you view an item from the collection various views of it are available. You start by viewing its Learning Object Metadata (LOM) record in a tabulated form and divided into sections: these sections can be expanded or contracted to reveal more or less information as desired. Use the tabs at the top of the table to change the view of the learning object. There will always be a tab for "XML Record" which displays the metadata in its original IEEE LOM format. Depending on whether or not the learning object references an on-line resource that is available for indexing, a third tab may be present that displays the source document.</p>
 
 description3=<h3>How the collection works</h3><p>The records were exported from the Calgary Repository in LOM format. LOMPlugin is used to process the records. Using the <tt>-download_srcdocs</tt> option to the plugin will search for <tt>general^identifier^entry</tt> or <tt>technical^location</tt>, and attempt to download the source document into a <i>_gsdldown.all</i> folder (<tt>import/arts/_gsdldown.all</tt>) in the same folder as the LOM record.</p>
Index: /documented-examples/trunk/manifest-demo-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/manifest-demo-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/manifest-demo-e/resources/collectionConfig.properties	(revision 36510)
@@ -30,5 +30,5 @@
 <pre>perl -S import.pl -site localsite documented-examples/manifest-demo-e \n\
 perl -S buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
-<i>Note:</i> If you forget to pass in the <tt>-activate</tt> flag to the <tt>buildcol</tt> command, use a file explorer to go into your Greenstone 3 installations's <tt>web/sites/localsite/collect/documented-examples/manifest-demo-e</tt> folder, and rename the <tt>building</tt> subfolder there to <tt>index</tt>.)<br /> \n\
+<i>Note:</i> If you forget to pass in the <tt>-activate</tt> flag to the <tt>buildcol</tt> command, use a file explorer to go into your Greenstone 3 installations\'s <tt>web/sites/localsite/collect/documented-examples/manifest-demo-e</tt> folder, and rename the <tt>building</tt> subfolder there to <tt>index</tt>.)<br /> \n\
 <br /> \n\
 Preview the collection. Contains 8 documents, 5 from BOSTID and 3 from EC Courier.</p><br />
@@ -47,5 +47,5 @@
 perl -S incremental-buildcol.pl -site localsite -activate documented-examples/manifest-demo-e</pre> \n\
  \n\
-Note that we haven't actually deleted the docs from the import folder. Just from the collection's <tt>archives</tt> and <tt>index</tt> subfolders.<br /> \n\
+Note that we haven\'t actually deleted the docs from the import folder. Just from the collection\'s <tt>archives</tt> and <tt>index</tt> subfolders.<br /> \n\
 Now the EC Courier documents should be gone.</p><br />
 
Index: /documented-examples/trunk/marc-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/marc-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/marc-e/resources/collectionConfig.properties	(revision 36510)
@@ -10,9 +10,9 @@
 description2=<p>The <i>VList</i> format statement controls the display of search results and all classifiers. For bookshelves, the number of leaf documents is displayed on the right-hand side. For documents, <i>dc.Title</i> is displayed, along with <i>dc.Creator</i> and <i>dc.Publisher</i>. <i>[sibling:dc.Creator]</i> is used as dc.Creator has multiple values, and specifies that all values be output, not just the first one.</p>
 
-description3=<p>The MARC plugin uses a special file to map MARC field numbers to Greenstone-style metadata. This file resides in the greenstone3 installation folder's <i>gs2build/etc</i> directory, and is called <tt>marc2dc.txt</tt>. It lists the correspondences between MARC field numbers and Greenstone metadata. Any MARC fields that are not listed simply do not appear as metadata, though they are still present in the Greenstone document. Each line in the file has the format <blockquote> &lt;MARC field number&gt; -&gt; GreenstoneMetadataName </blockquote> Lines in the file that begin with "\#" are comments.</p>
+description3=<p>The MARC plugin uses a special file to map MARC field numbers to Greenstone-style metadata. This file resides in the greenstone3 installation folder\'s <i>gs2build/etc</i> directory, and is called <tt>marc2dc.txt</tt>. It lists the correspondences between MARC field numbers and Greenstone metadata. Any MARC fields that are not listed simply do not appear as metadata, though they are still present in the Greenstone document. Each line in the file has the format <blockquote> &lt;MARC field number&gt; -&gt; GreenstoneMetadataName </blockquote> Lines in the file that begin with "\#" are comments.</p>
 
-description4=<p>The standard version of this file is loosely based on the MARC to Dublin Core mapping found at <a href="http://www.loc.gov/marc/marc2dc.html">http://www.loc.gov/marc/marc2dc.html</a> (which assumes USMARC/MARC21).</p>
+description4=<p>The standard version of this file is loosely based on the MARC to Dublin Core mapping found at <a href="http://www.loc.gov/marc/marc2dc.html">http\://www.loc.gov/marc/marc2dc.html</a> (which assumes USMARC/MARC21).</p>
 
 description5=<p>Multiple MARC fields may map to a single Dublin Core field. For example, fields 720 ("Uncontrolled name"), 100 ("Personal name"), 110 ("Corporate name") and 111 ("Meeting name") all map to <i>dc.Creator</i>. Actual MARC records normally define only one of these fields, and anyway Greenstone allows multi-valued metadata.</p>
 
-description6=<p>Some mappings are dependent on subfields. For example, MARC field 260 contains information about publication and distribution. Subfields "c" (Date of Publication) and "g" (Date of manufacture) are mapped to <i>dc.Date</i>, using the following mapping line: <blockquote> 260$c$g -&gt; dc.Date </blockquote>  Greenstone also provides a file for mapping MARC to <b>qualified</b> dublin core: in your Greenstone 3 installation folder's <tt>gs2build/etc/marc2qdc.txt</tt>. This can be used by the MARC plugin by setting the <i>-metadata_mapping_file</i> option to "marc2qdc.txt".</p>
+description6=<p>Some mappings are dependent on subfields. For example, MARC field 260 contains information about publication and distribution. Subfields "c" (Date of Publication) and "g" (Date of manufacture) are mapped to <i>dc.Date</i>, using the following mapping line: <blockquote> 260$c$g -&gt; dc.Date </blockquote>  Greenstone also provides a file for mapping MARC to <b>qualified</b> dublin core: in your Greenstone 3 installation folder\'s <tt>gs2build/etc/marc2qdc.txt</tt>. This can be used by the MARC plugin by setting the <i>-metadata_mapping_file</i> option to "marc2qdc.txt".</p>
Index: /documented-examples/trunk/oai-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/oai-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/oai-e/resources/collectionConfig.properties	(revision 36510)
@@ -17,5 +17,5 @@
 description2=<p>The <i>acquire</i> line in the configuration file specifies the OAI protocol and gives the base URL of an OAI repository. The <i>importfrom</i> program downloads all the metadata in that repository into the collection\'s <i>import</i> directory. The <i>getdoc</i> argument instructs it to also download the collection\'s source documents, whose URLs are given in each document\'s Dublin Core <i>Identifier</i> field (this is a common convention). The metadata files, which each contain an XML record for one source document, are placed in the <i>import</i> file structure along with the documents themselves, and the document filename is the same as the filename in the URL. The <i>Identifier</i> field is overridden to give the local filename, and its original value is retained in a new field called <i>OrigURL</i>.</p>
 
-description3=<p>This <i>oai-e</i> collection's own <tt>etc/oai.txt</tt> is an example of a downloaded metadata file.</p>
+description3=<p>This <i>oai-e</i> collection\'s own <tt>etc/oai.txt</tt> is an example of a downloaded metadata file.</p>
 
 description4=<p>Once the OAI information has been imported, the collection is processed in the usual way. Besides the four standard plugins (GreenstoneXMLPlugin, MetadataXMLPlugin, ArchivesInfPlugin and DirectoryPlugin), the configuration file specifies the OAI plugin, which processes OAI metadata, and the image plugin, because in this case the collection\'s source documents are image files. The OAI plugin has been supplied with an <i>input_encoding</i> argument because data in this archive contains extended characters. It also has a <i>default_language</i> argument. Greenstone normally determines the language of documents automatically, but these metadata records are too small for this to be done reliably: hence English is specified explicitly in the <i>language</i> argument. The OAI plugin parses the metadata and passes it to the appropriate source document file, which is then processed by an appropriate plugin -- in this case <i>ImagePlugin</i>. This plugin specifies the resolution for the screen versions of the images.</p>
Index: /documented-examples/trunk/style-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/style-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/style-e/resources/collectionConfig.properties	(revision 36510)
@@ -16,7 +16,7 @@
 
 
-shortDescription=<p>This collection demonstrates Greenstone's use of Cascading Style Sheets (CSS) for visual formatting in web browsers. On every page, you can change the style-sheet in effect, to modify that page's appearance. This collection contains the same material as the original Greenstone demo collection.</p>
+shortDescription=<p>This collection demonstrates Greenstone\'s use of Cascading Style Sheets (CSS) for visual formatting in web browsers. On every page, you can change the style-sheet in effect, to modify that page\'s appearance. This collection contains the same material as the original Greenstone demo collection.</p>
 
-description1=<p>A combination of JavaScript and the overriding of GS3 XSL templates in Greenstone 3's <i>global</i> format statement is used by the collection to provide the stylesheet switching. As in some other <i>Documented Example Collections</i>, GLI's <tt>Format &gt; Format Features &gt; global</tt> can be used to define the <b>additionalHeaderContent</b> template. Doing so overrides the existing <i>additionalHeaderContent</i> template, and appends any specified HTML elements to the HTML header.</p>
+description1=<p>A combination of JavaScript and the overriding of GS3 XSL templates in Greenstone 3\'s <i>global</i> format statement is used by the collection to provide the stylesheet switching. As in some other <i>Documented Example Collections</i>, GLI\'s <tt>Format &gt; Format Features &gt; global</tt> can be used to define the <b>additionalHeaderContent</b> template. Doing so overrides the existing <i>additionalHeaderContent</i> template, and appends any specified HTML elements to the HTML header.</p>
 
 description2=<p>In this case, the <b>additionalHeaderContent</b> specifies the custom collection stylesheet currently active and the JavaScript to facilitate the stylesheet switching when a link is clicked. The <b>create-banner</b> XSL template in the <i>global</i> format statement is also overridden to provide links to the multiple stylesheets within the existing GS3 banner section, and invoke the custom JavaScript when any link is clicked. \n\
@@ -54,5 +54,5 @@
 description3=<p>If you want to download any of these stylesheets for your own collections, here are links to them: \n\
 <ul> \n\
-<li><a href='https://trac.greenstone.org/browser/documented-examples/trunk/style-e/style/gs3-style-default-extra.css'>GS3 default extra</a> - builds on top of GS3's default style</li> \n\
+<li><a href='https://trac.greenstone.org/browser/documented-examples/trunk/style-e/style/gs3-style-default-extra.css'>GS3 default extra</a> - builds on top of GS3\'s default style</li> \n\
 <li><a href='https://trac.greenstone.org/browser/documented-examples/trunk/style-e/style/gs3-style-blue.css'>Blue theme</a> - modifies the GS3 default style for a blue colouring</li> \n\
 <li><a href='https://trac.greenstone.org/browser/documented-examples/trunk/style-e/style/gs3-style-olive-purple.css'>olive-purple theme</a> - modifies the GS3 default style for a vivid colouring of vine green and purples</li> \n\
@@ -64,5 +64,5 @@
 <ul> \n\
 <li>To use a stylesheet as the default, place it in greenstone/web/interfaces/default/style and rename it to <tt>style.css</tt>. This will affect all collections.</li> \n\
-<li>To use a stylesheet for a particular collection, place it in <tt>greenstone/web/sites/localsite/collect/&lt;collection&gt;/style</tt> then specify the stylesheet link in the <b>additionalHeaderContent</b> of GLI's <i>global</i> format statement (<tt>Format &gt; Format Features &gt; global</tt>) as follows: \n\
+<li>To use a stylesheet for a particular collection, place it in <tt>greenstone/web/sites/localsite/collect/&lt;collection&gt;/style</tt> then specify the stylesheet link in the <b>additionalHeaderContent</b> of GLI\'s <i>global</i> format statement (<tt>Format &gt; Format Features &gt; global</tt>) as follows: \n\
 <pre>&lt;xsl\:template name="additionalHeaderContent"&gt; \n\
     &lt;xsl\:variable name="httpCollection"&gt; \n\
Index: /documented-examples/trunk/wrdpdf-e/resources/collectionConfig.properties
===================================================================
--- /documented-examples/trunk/wrdpdf-e/resources/collectionConfig.properties	(revision 36509)
+++ /documented-examples/trunk/wrdpdf-e/resources/collectionConfig.properties	(revision 36510)